/* xkeycaps, Copyright (c) 1994 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the DG AViiON PC101 keyboard.
 * Generated by David Axmark <davida@isil.detron.se>
 */

static const struct default_keycode_map aviion300_map [] = {
  {   8, 0,		{ XK_F1 }},
  {   9, 0,		{ XK_Escape }},
  {  14, 0,		{ XK_Tab }},
  {  15, 0,		{ XK_grave,	XK_asciitilde }},
  {  16, 0,		{ XK_F2 }},
  {  18, ControlMask,	{ XK_Control_L }},
  {  19, ShiftMask,	{ XK_Shift_L }},
  {  21, LockMask,	{ XK_Caps_Lock }},
  {  22, 0,		{ XK_Q }},
  {  23, 0,		{ XK_1,	XK_exclam }},
  {  24, 0,		{ XK_F3 }},
  {  26, Mod1Mask,	{ XK_Alt_L,	XK_Meta_L }},
  {  27, 0,		{ XK_Z }},
  {  28, 0,		{ XK_S }},
  {  29, 0,		{ XK_A }},
  {  30, 0,		{ XK_W }},
  {  31, 0,		{ XK_2,	XK_at }},
  {  32, 0,		{ XK_F4 }},
  {  34, 0,		{ XK_C }},
  {  35, 0,		{ XK_X }},
  {  36, 0,		{ XK_D }},
  {  37, 0,		{ XK_E }},
  {  38, 0,		{ XK_4,	XK_dollar }},
  {  39, 0,		{ XK_3,	XK_numbersign }},
  {  40, 0,		{ XK_F5 }},
  {  42, 0,		{ XK_space }},
  {  43, 0,		{ XK_V }},
  {  44, 0,		{ XK_F }},
  {  45, 0,		{ XK_T }},
  {  46, 0,		{ XK_R }},
  {  47, 0,		{ XK_5,	XK_percent }},
  {  48, 0,		{ XK_F6 }},
  {  50, 0,		{ XK_N }},
  {  51, 0,		{ XK_B }},
  {  52, 0,		{ XK_H }},
  {  53, 0,		{ XK_G }},
  {  54, 0,		{ XK_Y }},
  {  55, 0,		{ XK_6,	XK_asciicircum }},
  {  56, 0,		{ XK_F7 }},
  {  58, Mod1Mask,	{ XK_Alt_R,	XK_Meta_R }},
  {  59, 0,		{ XK_M }},
  {  60, 0,		{ XK_J }},
  {  61, 0,		{ XK_U }},
  {  62, 0,		{ XK_7,	XK_ampersand }},
  {  63, 0,		{ XK_8,	XK_asterisk }},
  {  64, 0,		{ XK_F8 }},
  {  66, 0,		{ XK_comma,	XK_less }},
  {  67, 0,		{ XK_K }},
  {  68, 0,		{ XK_I }},
  {  69, 0,		{ XK_O }},
  {  70, 0,		{ XK_0,	XK_parenright }},
  {  71, 0,		{ XK_9,	XK_parenleft }},
  {  72, 0,		{ XK_F9 }},
  {  74, 0,		{ XK_period,	XK_greater }},
  {  75, 0,		{ XK_slash,	XK_question }},
  {  76, 0,		{ XK_L }},
  {  77, 0,		{ XK_semicolon,	XK_colon }},
  {  78, 0,		{ XK_P }},
  {  79, 0,		{ XK_minus,	XK_underscore }},
  {  80, 0,		{ XK_F10 }},
  {  83, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  85, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  86, 0,		{ XK_equal,	XK_plus }},
  {  87, 0,		{ XK_F11 }},
  {  88, 0,		{ XK_Print }},
  {  89, ControlMask,	{ XK_Control_R }},
  {  90, ShiftMask,	{ XK_Shift_R }},
  {  91, 0,		{ XK_Return }},
  {  92, 0,		{ XK_bracketright,	XK_braceright }},
  {  93, 0,		{ XK_backslash,	XK_bar }},
  {  95, 0,		{ XK_F12 }},
  {  96, 0,		{ XK_Scroll_Lock }},
  {  97, 0,		{ XK_Down }},
  {  98, 0,		{ XK_Left }},
  {  99, 0,		{ XK_Pause }},
  { 100, 0,		{ XK_Up }},
  { 101, 0,		{ XK_Delete }},
  { 102, 0,		{ XK_End }},
  { 103, 0,		{ XK_BackSpace }},
  { 104, 0,		{ XK_Insert }},
  { 106, 0,		{ XK_KP_1 }},
  { 107, 0,		{ XK_Right }},
  { 108, 0,		{ XK_KP_4 }},
  { 109, 0,		{ XK_KP_7 }},
  { 110, 0,		{ XK_Next }},
  { 111, 0,		{ XK_Home }},
  { 112, 0,		{ XK_Prior }},
  { 113, 0,		{ XK_KP_0 }},
  { 114, 0,		{ XK_KP_Decimal }},
  { 115, 0,		{ XK_KP_2 }},
  { 116, 0,		{ XK_KP_5 }},
  { 117, 0,		{ XK_KP_6 }},
  { 118, 0,		{ XK_KP_8 }},
  { 119, 0,		{ XK_Num_Lock }},
  { 120, 0,		{ XK_KP_Divide }},
  { 122, 0,		{ XK_KP_Enter }},
  { 123, 0,		{ XK_KP_3 }},
  { 125, 0,		{ XK_KP_Add }},
  { 126, 0,		{ XK_KP_9 }},
  { 127, 0,		{ XK_KP_Multiply }},
  { 133, 0,		{ XK_KP_Subtract }}
};
