/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the keymap of a Soft key "Butterfly" keyboard 
 * with German layout.  
 * Generated by Edgar Greuter <edgar@pingu.saar.de>.
 */

static const struct default_keycode_map butterflyde_map [] = {
  {   9, 0,		{ XK_Escape }},
  {  10, 0,		{ XK_1,	XK_exclam }},
  {  11, 0,		{ XK_2,	XK_quotedbl,
			XK_twosuperior }},
  {  12, 0,		{ XK_3,	XK_section,
			XK_threesuperior }},
  {  13, 0,		{ XK_4,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_ampersand }},
  {  16, 0,		{ XK_7,	XK_slash,
			XK_braceleft }},
  {  17, 0,		{ XK_8,	XK_parenleft,
			XK_bracketleft }},
  {  18, 0,		{ XK_9,	XK_parenright,
			XK_bracketright }},
  {  19, 0,		{ XK_0,	XK_equal,
			XK_braceright }},
  {  20, 0,		{ XK_ssharp,	XK_question,
			XK_backslash }},
  {  21, 0,		{ XK_acute,	XK_grave }},
  {  22, 0,		{ XK_BackSpace }},
  {  23, 0,		{ XK_Tab }},
  {  24, 0,		{ XK_q,	XK_Q,
			XK_at }},
  {  25, 0,		{ XK_w,	XK_W }},
  {  26, 0,		{ XK_e,	XK_E }},
  {  27, 0,		{ XK_r,	XK_R }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_z,	XK_Z }},
  {  30, 0,		{ XK_u,	XK_U }},
  {  31, 0,		{ XK_i,	XK_I }},
  {  32, 0,		{ XK_o,	XK_O }},
  {  33, 0,		{ XK_p,	XK_P }},
  {  34, 0,		{ XK_udiaeresis,	XK_Udiaeresis }},
  {  35, 0,		{ XK_plus,	XK_asterisk,
			XK_asciitilde }},
  {  36, 0,		{ XK_Return }},
  {  37, ControlMask,	{ XK_Control_L }},
  {  38, 0,		{ XK_a,	XK_A }},
  {  39, 0,		{ XK_s,	XK_S }},
  {  40, 0,		{ XK_d,	XK_D }},
  {  41, 0,		{ XK_f,	XK_F }},
  {  42, 0,		{ XK_g,	XK_G }},
  {  43, 0,		{ XK_h,	XK_H }},
  {  44, 0,		{ XK_j,	XK_J }},
  {  45, 0,		{ XK_k,	XK_K }},
  {  46, 0,		{ XK_l,	XK_L }},
  {  47, 0,		{ XK_odiaeresis,	XK_Odiaeresis }},
  {  48, 0,		{ XK_adiaeresis,	XK_Adiaeresis }},
  {  49, 0,		{ XK_asciicircum,	XK_degree }},
  {  50, ShiftMask,	{ XK_Shift_L }},
  {  51, 0,		{ XK_numbersign,	XK_apostrophe }},
  {  52, 0,		{ XK_y,	XK_Y }},
  {  53, 0,		{ XK_x,	XK_X }},
  {  54, 0,		{ XK_c,	XK_C }},
  {  55, 0,		{ XK_v,	XK_V }},
  {  56, 0,		{ XK_b,	XK_B }},
  {  57, 0,		{ XK_n,	XK_N }},
  {  58, 0,		{ XK_m,	XK_M,
			XK_mu }},
  {  59, 0,		{ XK_comma,	XK_semicolon }},
  {  60, 0,		{ XK_period,	XK_colon }},
  {  61, 0,		{ XK_minus,	XK_underscore }},
  {  62, ShiftMask,	{ XK_Shift_R }},
  {  63, 0,		{ XK_KP_Multiply }},
  {  64, Mod1Mask,	{ XK_Alt_L }},
  {  65, 0,		{ XK_space }},
  {  66, Mod2Mask,	{ XK_Meta_L }},
  {  67, 0,		{ XK_F1 }},
  {  68, 0,		{ XK_F2 }},
  {  69, 0,		{ XK_F3 }},
  {  70, 0,		{ XK_F4 }},
  {  71, 0,		{ XK_F5 }},
  {  72, 0,		{ XK_F6 }},
  {  73, 0,		{ XK_F7 }},
  {  74, 0,		{ XK_F8 }},
  {  75, 0,		{ XK_F9 }},
  {  76, 0,		{ XK_F10 }},
  {  77, 0,		{ XK_Num_Lock }},
  {  78, Mod4Mask,	{ XK_Scroll_Lock }},
  {  79, 0,		{ XK_KP_7 }},
  {  80, 0,		{ XK_KP_8 }},
  {  81, 0,		{ XK_KP_9 }},
  {  82, 0,		{ XK_KP_Subtract }},
  {  83, 0,		{ XK_KP_4 }},
  {  84, 0,		{ XK_KP_5 }},
  {  85, 0,		{ XK_KP_6 }},
  {  86, 0,		{ XK_KP_Add }},
  {  87, 0,		{ XK_KP_1 }},
  {  88, 0,		{ XK_KP_2 }},
  {  89, 0,		{ XK_KP_3 }},
  {  90, 0,		{ XK_KP_0 }},
  {  91, 0,		{ XK_KP_Decimal }},
  {  92, 0,		{ XK_Print,	XK_Sys_Req }},
  {  93, 0,		{ XK_Down }},
  {  94, 0,		{ XK_less,	XK_greater,
			XK_bar }},
  {  95, 0,		{ XK_F11 }},
  {  96, 0,		{ XK_F12 }},
  {  97, 0,		{ XK_F13 }},
  {  98, 0,		{ XK_F14 }},
  {  99, 0,		{ XK_Prior }},
  { 100, 0,		{ XK_Left }},
  { 102, 0,		{ XK_F15 }},
  { 103, 0,		{ XK_F16 }},
  { 105, 0,		{ XK_Next }},
  { 106, 0,		{ XK_Insert }},
  { 107, 0,		{ XK_Delete }},
  { 108, 0,		{ XK_KP_Enter }},
  { 110, 0,		{ XK_Pause,	XK_Undo,
			XK_Break }},
  { 111, 0,		{ XK_Print,	XK_Help,
			XK_Sys_Req }},
  { 112, 0,		{ XK_KP_Divide }},
  { 113, Mod1Mask,	{ XK_Alt_R }},
  { 118, 0,		{ XK_Left }},
  { 119, 0,		{ XK_Prior }},
  { 120, Mod2Mask,	{ XK_Meta_L }},
  { 121, Mod2Mask,	{ XK_Meta_R }},
  { 122, Mod3Mask,	{ XK_Mode_switch }},
  { 123, ControlMask,	{ XK_Control_R }},
  { 124, 0,		{ XK_KP_Enter }},
  { 125, 0,		{ XK_KP_Divide }},
  { 126, 0,		{ XK_Menu }},
  { 127, 0,		{ XK_Pause,	XK_Break }},
  { 128, 0,		{ XK_Up }},
  { 129, 0,		{ XK_Delete }},
  { 130, 0,		{ XK_End }},
  { 131, 0,		{ XK_Insert }},
  { 133, 0,		{ XK_Right }},
  { 134, 0,		{ XK_Next }},
  { 135, 0,		{ XK_Home }},
  { 136, 0,		{ XK_Break }},
  { 137, 0,		{ XK_Sys_Req }},
  { 140, 0,		{ XK_Undo }},
  { 141, 0,		{ XK_Redo }},
  { 142, 0,		{ XK_Help }},
  { 143, 0,		{ XK_Cancel }},
  { 144, 0,		{ XK_Find }}
  };
