/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the TI Explorer keyboard.
 */

static const struct default_keycode_map explorer_map [] = {
  {   8, 0,		{ XK_Help }},
  {  10, LockMask,	{ XK_Caps_Lock }},
  {  11, 0,		{ XK_F21 }},
  {  12, 0,		{ XK_F22 }},
  {  13, Mod5Mask,	{ XK_F23 }},
  {  14, Mod3Mask,	{ XK_Hyper_L }},
  {  15, 0,		{ XK_F24 }},
  {  16, 0,		{ XK_F25 }},
  {  17, 0,		{ XK_F26 }},
  {  18, 0,		{ XK_F27 }},
  {  20, 0,		{ XK_F28 }},
  {  21, 0,		{ XK_Clear }},
  {  22, 0,		{ XK_Undo }},
  {  23, 0,		{ XK_End }},
  {  24, 0,		{ XK_F29 }},
  {  25, 0,		{ XK_F30 }},
  {  26, 0,		{ XK_F31 }},
  {  27, 0,		{ XK_KP_F1 }},
  {  28, 0,		{ XK_KP_F2 }},
  {  29, 0,		{ XK_KP_F3 }},
  {  30, 0,		{ XK_KP_F4 }},
  {  33, Mod4Mask,	{ XK_Super_L }},
  {  34, Mod1Mask,	{ XK_Meta_L }},
  {  35, ControlMask,	{ XK_Control_L }},
  {  36, ControlMask,	{ XK_Control_R }},
  {  37, Mod1Mask,	{ XK_Meta_R }},
  {  38, Mod2Mask,	{ XK_Super_R }},
  {  39, Mod3Mask,	{ XK_Hyper_R }},
  {  40, 0,		{ XK_F32 }},
  {  42, 0,		{ XK_Escape }},
  {  43, 0,		{ XK_1,	XK_exclam }},
  {  44, 0,		{ XK_2,	XK_at }},
  {  45, 0,		{ XK_3,	XK_numbersign }},
  {  46, 0,		{ XK_4,	XK_dollar }},
  {  47, 0,		{ XK_5,	XK_percent }},
  {  48, 0,		{ XK_6,	XK_asciicircum }},
  {  49, 0,		{ XK_7,	XK_ampersand }},
  {  50, 0,		{ XK_8,	XK_asterisk }},
  {  51, 0,		{ XK_9,	XK_parenleft }},
  {  52, 0,		{ XK_0,	XK_parenright }},
  {  53, 0,		{ XK_minus,	XK_underscore }},
  {  54, 0,		{ XK_equal,	XK_plus }},
  {  55, 0,		{ XK_grave,	XK_braceleft }},
  {  56, 0,		{ XK_asciitilde,	XK_braceright }},
  {  57, 0,		{ XK_KP_Equal }},
  {  58, 0,		{ XK_KP_Add }},
  {  59, 0,		{ XK_KP_Space }},
  {  60, 0,		{ XK_KP_Tab }},
  {  61, 0,		{ XK_Break }},
  {  63, 0,		{ XK_Tab }},
  {  64, 0,		{ XK_Q }},
  {  65, 0,		{ XK_W }},
  {  66, 0,		{ XK_E }},
  {  67, 0,		{ XK_R }},
  {  68, 0,		{ XK_T }},
  {  69, 0,		{ XK_Y }},
  {  70, 0,		{ XK_U }},
  {  71, 0,		{ XK_I }},
  {  72, 0,		{ XK_O }},
  {  73, 0,		{ XK_P }},
  {  74, 0,		{ XK_parenleft,	XK_bracketleft }},
  {  75, 0,		{ XK_parenright,	XK_bracketright }},
  {  77, 0,		{ XK_backslash,	XK_bar }},
  {  78, 0,		{ XK_Up }},
  {  79, 0,		{ XK_KP_7 }},
  {  80, 0,		{ XK_KP_8 }},
  {  81, 0,		{ XK_KP_9 }},
  {  82, 0,		{ XK_KP_Subtract }},
  {  83, 0,		{ XK_Cancel }},
  {  86, 0,		{ XK_Delete }},
  {  87, 0,		{ XK_A }},
  {  88, 0,		{ XK_S }},
  {  89, 0,		{ XK_D }},
  {  90, 0,		{ XK_F }},
  {  91, 0,		{ XK_G }},
  {  92, 0,		{ XK_H }},
  {  93, 0,		{ XK_J }},
  {  94, 0,		{ XK_K }},
  {  95, 0,		{ XK_L }},
  {  96, 0,		{ XK_semicolon,	XK_colon }},
  {  97, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  98, 0,		{ XK_Return }},
  {  99, 0,		{ XK_Linefeed }},
  { 100, 0,		{ XK_Left }},
  { 101, 0,		{ XK_Home }},
  { 102, 0,		{ XK_Right }},
  { 103, 0,		{ XK_KP_4 }},
  { 104, 0,		{ XK_KP_5 }},
  { 105, 0,		{ XK_KP_6 }},
  { 106, 0,		{ XK_KP_Separator }},
  { 109, Mod4Mask,	{ XK_R13 }},
  { 110, ShiftMask,	{ XK_Shift_L }},
  { 111, 0,		{ XK_Z }},
  { 112, 0,		{ XK_X }},
  { 113, 0,		{ XK_C }},
  { 114, 0,		{ XK_V }},
  { 115, 0,		{ XK_B }},
  { 116, 0,		{ XK_N }},
  { 117, 0,		{ XK_M }},
  { 118, 0,		{ XK_comma,	XK_less }},
  { 119, 0,		{ XK_period,	XK_greater }},
  { 120, 0,		{ XK_slash,	XK_question }},
  { 121, ShiftMask,	{ XK_Shift_R }},
  { 123, Mod4Mask,	{ XK_F34 }},
  { 124, 0,		{ XK_Down }},
  { 125, 0,		{ XK_KP_1 }},
  { 126, 0,		{ XK_KP_2 }},
  { 127, 0,		{ XK_KP_3 }},
  { 130, 0,		{ XK_space }},
  { 132, 0,		{ XK_KP_0 }},
  { 133, 0,		{ XK_KP_Decimal }},
  { 134, 0,		{ XK_KP_Enter }}
  };
