/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1995, 1996, 1999
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the key surfaces of the HP 300, 400, and 700 series
 * keyboards (Svensk).  By Jorgen Jonsson <jjo@algonet.se>
 */

static const struct key_strings hpitfsv_caps [] = {

  /* Row 0 */

  {"\305terst\344ll", "Avbryt", 0},
  {"Stopp", 0},
  {"F1", 0},
  {"F2", 0},
  {"F3", 0},
  {"F4", 0},
  {"Funk", "p\345/av", 0},
  {"Funktioner", 0},
  {"F5", 0},
  {"F6", 0},
  {"F7", 0},
  {"F8", 0},
  {"Rensa", "rad", 0},
  {"Rensa", "sk\344rm", 0},
  {"F9", 0},
  {"F10", 0},
  {"F11", 0},
  {"F12", 0},

  /* Row 2 */

  {">", "<", 0},
  {"!", "1", 0},
  {"\"", "2", 0},
  {"#", "3", 0},
  {"$", "4", 0},
  {"%", "5", 0},
  {"&", "6", 0},
  {"/", "7", 0},
  {"(", "8", 0},
  {")", "9", 0},
  {"=", "0", 0},
  {"?", "+", 0},
  {"\311", "\351", 0},
  {"Backspace", 0},
  {"+", "rad", 0},
  {"-", "rad", 0},
  {"*", 0},
  {"/", 0},
  {"+", 0},
  {"-", 0},

  /* Row 3 */

  {"Tab", 0},
  {"Q", 0},
  {"W", 0},
  {"E", 0},
  {"R", 0},
  {"T", 0},
  {"Y", 0},
  {"U", 0},
  {"I", 0},
  {"O", 0},
  {"P", 0},
  {"\305", 0},
  {"\334", 0},
  {"*", "'", 0},
  {"+", "tecken", 0},
  {"-", "tecken", 0},
  {"7", 0},
  {"8", 0},
  {"9", 0},
  {"S\344nd", 0},

  /* Row 4 */

  {"Versaler", 0},
  {"Ctrl", 0},
  {"A", 0},
  {"S", 0},
  {"D", 0},
  {"F", 0},
  {"G", 0},
  {"H", 0},
  {"J", 0},
  {"K", 0},
  {"L", 0},
  {"\326", 0},
  {"\304", 0},
  {"Return", 0},
  {"Hem", 0},
  {"F\366reg", "sida", 0},
  {"4", 0},
  {"5", 0},
  {"6", 0},
  {",", 0},

  /* Row 5 */

  {"Ta bort", "ESC", 0},
  {"Skift", 0},
  {"Z", 0},
  {"X", 0},
  {"C", 0},
  {"V", 0},
  {"B", 0},
  {"N", 0},
  {"M", 0},
  {";", ",", 0},
  {":", ".", 0},
  {"_", "-", 0},
  {"Skift", 0},
  {"V\344lj", 0},
  {"UppPil", 0},
  {"N\344sta", "sida", 0},
  {"1", 0},
  {"2", 0},
  {"3", 0},
  {"Tab", 0},

  /* Row 6 */

  {"Skriv", "S\344nd", 0},
  {"\326vriga", "tecken", 0},
  {" ", 0},
  {"\326vriga", "tecken", 0},
  {"V\344nstPil", 0},
  {"NerPil", 0},
  {"H\366gPil", 0},
  {"0", 0},
  {".", 0}
};
