/* xkeycaps, Copyright (c) 1994 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the keymap of a "Cherry" 102 key PC-style
 * keyboard, german layout, on HP 300/400/700.
 * Generated by Todd E. Richmond <todd@sdt.com>.
 */

static const struct default_keycode_map hppcde_map [] = {
  {   8, ControlMask,	{ XK_Control_R }},
  {  10, Mod1Mask,	{ XK_Meta_R }},
  {  11, Mod1Mask,	{ XK_Meta_L }},
  {  12, Mod5Mask,	{ XK_Shift_R }},
  {  13, Mod4Mask,	{ XK_Shift_L }},
  {  14, ControlMask,	{ XK_Control_L }},
  {  15, 0,		{ XK_Break,	hpXK_Reset }},
  {  16, 0,		{ XK_KP_4,	XK_Left }},
  {  17, 0,		{ XK_KP_8,	XK_Up }},
  {  18, 0,		{ XK_KP_5 }},
  {  19, 0,		{ XK_KP_9,	XK_Prior }},
  {  20, 0,		{ XK_KP_6,	XK_Right }},
  {  21, 0,		{ XK_KP_7,	XK_Home }},
  {  23, 0,		{ XK_KP_Enter }},
  {  24, 0,		{ XK_KP_1,	XK_End }},
  {  25, 0,		{ XK_KP_Divide }},
  {  26, 0,		{ XK_KP_2,	XK_Down }},
  {  27, 0,		{ XK_KP_Add }},
  {  28, 0,		{ XK_KP_3,	XK_Next }},
  {  29, 0,		{ XK_KP_Multiply }},
  {  30, 0,		{ XK_KP_0,	XK_Insert }},
  {  31, 0,		{ XK_KP_Subtract }},
  {  32, 0,		{ XK_B }},
  {  33, 0,		{ XK_V }},
  {  34, 0,		{ XK_C }},
  {  35, 0,		{ XK_X }},
  {  36, 0,		{ XK_y,	XK_Y }},
  {  39, 0,		{ XK_Escape }},
  {  41, 0,		{ XK_F10,	XK_KP_F2 }},
  {  43, 0,		{ XK_F11,	XK_KP_F3 }},
  {  44, 0,		{ XK_KP_Separator,	XK_Delete }},
  {  45, 0,		{ XK_F9,	XK_KP_F1 }},
  {  47, 0,		{ XK_F12,	XK_KP_F4 }},
  {  48, 0,		{ XK_H }},
  {  49, 0,		{ XK_G }},
  {  50, 0,		{ XK_F }},
  {  51, 0,		{ XK_D }},
  {  52, 0,		{ XK_S }},
  {  53, 0,		{ XK_A }},
  {  54, Mod1Mask,	{ XK_Mode_switch,	0,
			0,	XK_Mode_switch }},
  {  55, LockMask,	{ XK_Caps_Lock }},
  {  56, 0,		{ XK_U }},
  {  57, 0,		{ XK_z,	XK_Z,
			hpXK_mute_asciicircum,	hpXK_mute_asciicircum }},
  {  58, 0,		{ XK_T }},
  {  59, 0,		{ XK_R }},
  {  60, 0,		{ XK_E }},
  {  61, 0,		{ XK_W }},
  {  62, 0,		{ XK_q,	XK_Q,
			XK_at }},
  {  63, 0,		{ XK_Tab,	hpXK_BackTab }},
  {  64, 0,		{ XK_7,	XK_slash,
			XK_braceleft }},
  {  65, 0,		{ XK_6,	XK_ampersand }},
  {  66, 0,		{ XK_5,	XK_percent }},
  {  67, 0,		{ XK_4,	XK_dollar }},
  {  68, 0,		{ XK_3,	XK_section,
			XK_threesuperior }},
  {  69, 0,		{ XK_2,	XK_quotedbl,
			XK_twosuperior }},
  {  70, 0,		{ XK_1,	XK_exclam }},
  {  71, 0,		{ XK_asciicircum,	XK_degree }},
  {  80, 0,		{ XK_Menu,	XK_Sys_Req }},
  {  81, 0,		{ XK_F4 }},
  {  82, 0,		{ XK_F3 }},
  {  83, 0,		{ XK_F2 }},
  {  84, 0,		{ XK_F1 }},
  {  86, 0,		{ XK_Cancel }},
  {  88, 0,		{ hpXK_System,	hpXK_User }},
  {  89, 0,		{ XK_F5 }},
  {  90, 0,		{ XK_F6 }},
  {  91, 0,		{ XK_F7 }},
  {  92, 0,		{ XK_F8 }},
  {  96, 0,		{ XK_8,	XK_parenleft,
			XK_bracketleft }},
  {  97, 0,		{ XK_9,	XK_parenright,
			XK_bracketright }},
  {  98, 0,		{ XK_0,	XK_equal,
			XK_braceright }},
  {  99, 0,		{ XK_ssharp,	XK_question,
			XK_backslash }},
  { 100, 0,		{ XK_apostrophe,	XK_grave }},
  { 101, 0,		{ XK_BackSpace }},
  { 104, 0,		{ XK_I }},
  { 105, 0,		{ XK_O }},
  { 106, 0,		{ XK_P }},
  { 107, 0,		{ XK_udiaeresis,	XK_Udiaeresis }},
  { 108, 0,		{ XK_plus,	XK_asterisk,
			XK_asciitilde }},
  { 110, 0,		{ hpXK_InsertChar }},
  { 111, 0,		{ hpXK_DeleteChar }},
  { 112, 0,		{ XK_J }},
  { 113, 0,		{ XK_K }},
  { 114, 0,		{ XK_L }},
  { 115, 0,		{ XK_odiaeresis,	XK_Odiaeresis }},
  { 116, 0,		{ XK_adiaeresis,	XK_Adiaeresis }},
  { 117, 0,		{ XK_Return }},
  { 118, 0,		{ XK_Home }},
  { 119, 0,		{ XK_Prior }},
  { 120, 0,		{ XK_m,	XK_M,
			XK_mu }},
  { 121, 0,		{ XK_comma,	XK_semicolon }},
  { 122, 0,		{ XK_period,	XK_colon }},
  { 123, 0,		{ XK_minus,	XK_underscore }},
  { 124, 0,		{ XK_numbersign,	XK_apostrophe }},
  { 125, 0,		{ XK_Select }},
  { 126, 0,		{ XK_less,	XK_greater,
			XK_bar }},
  { 127, 0,		{ XK_Next }},
  { 128, 0,		{ XK_N }},
  { 129, 0,		{ XK_space }},
  { 132, 0,		{ XK_Left }},
  { 133, 0,		{ XK_Down }},
  { 134, 0,		{ XK_Up }},
  { 135, 0,		{ XK_Right }}
  };
