/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the MIPS Magnum 3000 keyboard.
 * By Cliff Marcellus <cliff@phys.ucalgary.ca>.
 */

static const struct default_keycode_map mag3k_map [] = {
  {   9, 0,		{ XK_F1 }},
  {  10, 0,		{ XK_Escape }},
  {  15, 0,		{ XK_Tab }},
  {  16, 0,		{ XK_grave,	XK_asciitilde }},
  {  17, 0,		{ XK_F2 }},
  {  19, ControlMask,	{ XK_Control_L }},
  {  20, ShiftMask,	{ XK_Shift_L }},
  {  22, LockMask,	{ XK_Caps_Lock }},
  {  23, 0,		{ XK_Q }},
  {  24, 0,		{ XK_1,	XK_exclam }},
  {  25, 0,		{ XK_F3 }},
  {  27, Mod1Mask,	{ XK_Alt_L }},
  {  28, 0,		{ XK_Z }},
  {  29, 0,		{ XK_S }},
  {  30, 0,		{ XK_A }},
  {  31, 0,		{ XK_W }},
  {  32, 0,		{ XK_2,	XK_at }},
  {  33, 0,		{ XK_F4 }},
  {  35, 0,		{ XK_C }},
  {  36, 0,		{ XK_X }},
  {  37, 0,		{ XK_D }},
  {  38, 0,		{ XK_E }},
  {  39, 0,		{ XK_4,	XK_dollar }},
  {  40, 0,		{ XK_3,	XK_numbersign }},
  {  41, 0,		{ XK_F5 }},
  {  43, 0,		{ XK_space }},
  {  44, 0,		{ XK_V }},
  {  45, 0,		{ XK_F }},
  {  46, 0,		{ XK_T }},
  {  47, 0,		{ XK_R }},
  {  48, 0,		{ XK_5,	XK_percent }},
  {  49, 0,		{ XK_F6 }},
  {  51, 0,		{ XK_N }},
  {  52, 0,		{ XK_B }},
  {  53, 0,		{ XK_H }},
  {  54, 0,		{ XK_G }},
  {  55, 0,		{ XK_Y }},
  {  56, 0,		{ XK_6,	XK_asciicircum }},
  {  57, 0,		{ XK_F7 }},
  {  59, Mod1Mask,	{ XK_Alt_R }},
  {  60, 0,		{ XK_M }},
  {  61, 0,		{ XK_J }},
  {  62, 0,		{ XK_U }},
  {  63, 0,		{ XK_7,	XK_ampersand }},
  {  64, 0,		{ XK_8,	XK_asterisk }},
  {  65, 0,		{ XK_F8 }},
  {  67, 0,		{ XK_comma,	XK_less }},
  {  68, 0,		{ XK_K }},
  {  69, 0,		{ XK_I }},
  {  70, 0,		{ XK_O }},
  {  71, 0,		{ XK_0,	XK_parenright }},
  {  72, 0,		{ XK_9,	XK_parenleft }},
  {  73, 0,		{ XK_F9 }},
  {  75, 0,		{ XK_period,	XK_greater }},
  {  76, 0,		{ XK_slash,	XK_question }},
  {  77, 0,		{ XK_L }},
  {  78, 0,		{ XK_semicolon,	XK_colon }},
  {  79, 0,		{ XK_P }},
  {  80, 0,		{ XK_minus,	XK_underscore }},
  {  81, 0,		{ XK_F10 }},
  {  84, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  86, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  87, 0,		{ XK_equal,	XK_plus }},
  {  88, 0,		{ XK_F11 }},
  {  89, 0,		{ XK_Linefeed }},
  {  90, ControlMask,	{ XK_Control_R }},
  {  91, ShiftMask,	{ XK_Shift_R }},
  {  92, 0,		{ XK_Return }},
  {  93, 0,		{ XK_bracketright,	XK_braceright }},
  {  94, 0,		{ XK_backslash,	XK_bar }},
  {  96, 0,		{ XK_F12 }},
  {  97, 0,		{ XK_Break }},
  {  98, 0,		{ XK_Down }},
  {  99, 0,		{ XK_Left }},
  { 101, 0,		{ XK_Up }},
  { 102, 0,		{ XK_Delete }},
  { 104, 0,		{ XK_BackSpace }},
  { 107, 0,		{ XK_KP_1,	XK_End }},
  { 108, 0,		{ XK_Right }},
  { 109, 0,		{ XK_KP_4,	XK_Left }},
  { 110, 0,		{ XK_KP_7,	XK_Home }},
  { 111, 0,		{ XK_KP_Separator }},
  { 114, 0,		{ XK_KP_0,	XK_Insert }},
  { 115, 0,		{ XK_KP_Decimal,	XK_Delete }},
  { 116, 0,		{ XK_KP_2,	XK_Down }},
  { 117, 0,		{ XK_KP_5 }},
  { 118, 0,		{ XK_KP_6,	XK_Right }},
  { 119, 0,		{ XK_KP_8,	XK_Up }},
  { 120, 0,		{ XK_KP_F1 }},
  { 121, 0,		{ XK_KP_F2 }},
  { 123, 0,		{ XK_KP_Enter }},
  { 124, 0,		{ XK_KP_3,	XK_Next }},
  { 126, 0,		{ XK_KP_F4 }},
  { 127, 0,		{ XK_KP_9,	XK_Prior }},
  { 128, 0,		{ XK_KP_F3 }},
  { 134, 0,		{ XK_KP_Subtract }}
  };
