/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the MIPS Magnum AT/US keyboard.
 * By Michael Elbel <me@pcs.com>
 */

static const struct default_keycode_map magat_map [] = {
  {   9, 0,		{ XK_F9 }},
  {  10, 0,		{ XK_KP_Enter }},
  {  11, 0,		{ XK_F5 }},
  {  12, 0,		{ XK_F3 }},
  {  13, 0,		{ XK_F1 }},
  {  14, 0,		{ XK_F2 }},
  {  15, 0,		{ XK_F12 }},
  {  16, ControlMask,	{ XK_Control_R }},
  {  17, 0,		{ XK_F10 }},
  {  18, 0,		{ XK_F8 }},
  {  19, 0,		{ XK_F6 }},
  {  20, 0,		{ XK_F4 }},
  {  21, 0,		{ XK_Tab }},
  {  22, 0,		{ XK_grave,	XK_asciitilde }},
  {  23, 0,		{ XK_KP_Divide }},
  {  24, 0,		{ XK_Print }},
  {  25, Mod1Mask,	{ XK_Alt_L }},
  {  26, ShiftMask,	{ XK_Shift_L }},
  {  27, Mod1Mask,	{ XK_Alt_R }},
  {  28, ControlMask,	{ XK_Control_L }},
  {  29, 0,		{ XK_Q }},
  {  30, 0,		{ XK_1,	XK_exclam }},
  {  31, 0,		{ XK_Break }},
  {  32, 0,		{ XK_Home }},
  {  33, 0,		{ XK_Up }},
  {  34, 0,		{ XK_Z }},
  {  35, 0,		{ XK_S }},
  {  36, 0,		{ XK_A }},
  {  37, 0,		{ XK_W }},
  {  38, 0,		{ XK_2,	XK_at }},
  {  39, 0,		{ XK_Prior }},
  {  40, 0,		{ XK_Left }},
  {  41, 0,		{ XK_C }},
  {  42, 0,		{ XK_X }},
  {  43, 0,		{ XK_D }},
  {  44, 0,		{ XK_E }},
  {  45, 0,		{ XK_4,	XK_dollar }},
  {  46, 0,		{ XK_3,	XK_numbersign }},
  {  47, 0,		{ XK_Right }},
  {  48, 0,		{ XK_End }},
  {  49, 0,		{ XK_space }},
  {  50, 0,		{ XK_V }},
  {  51, 0,		{ XK_F }},
  {  52, 0,		{ XK_T }},
  {  53, 0,		{ XK_R }},
  {  54, 0,		{ XK_5,	XK_percent }},
  {  55, 0,		{ XK_Down }},
  {  56, 0,		{ XK_Next }},
  {  57, 0,		{ XK_N }},
  {  58, 0,		{ XK_B }},
  {  59, 0,		{ XK_H }},
  {  60, 0,		{ XK_G }},
  {  61, 0,		{ XK_Y }},
  {  62, 0,		{ XK_6,	XK_asciicircum }},
  {  63, 0,		{ XK_Insert }},
  {  64, 0,		{ XK_Delete }},
  {  66, 0,		{ XK_M }},
  {  67, 0,		{ XK_J }},
  {  68, 0,		{ XK_U }},
  {  69, 0,		{ XK_7,	XK_ampersand }},
  {  70, 0,		{ XK_8,	XK_asterisk }},
  {  73, 0,		{ XK_comma,	XK_less }},
  {  74, 0,		{ XK_K }},
  {  75, 0,		{ XK_I }},
  {  76, 0,		{ XK_O }},
  {  77, 0,		{ XK_0,	XK_parenright }},
  {  78, 0,		{ XK_9,	XK_parenleft }},
  {  81, 0,		{ XK_period,	XK_greater }},
  {  82, 0,		{ XK_slash,	XK_question }},
  {  83, 0,		{ XK_L }},
  {  84, 0,		{ XK_semicolon,	XK_colon }},
  {  85, 0,		{ XK_P }},
  {  86, 0,		{ XK_minus,	XK_underscore }},
  {  90, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  92, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  93, 0,		{ XK_equal,	XK_plus }},
  {  96, LockMask,	{ XK_Caps_Lock }},
  {  97, ShiftMask,	{ XK_Shift_R }},
  {  98, 0,		{ XK_Return }},
  {  99, 0,		{ XK_bracketright,	XK_braceright }},
  { 101, 0,		{ XK_backslash,	XK_bar }},
  { 110, 0,		{ XK_BackSpace }},
  { 113, 0,		{ XK_KP_1 }},
  { 115, 0,		{ XK_KP_4 }},
  { 116, 0,		{ XK_KP_7 }},
  { 120, 0,		{ XK_KP_0 }},
  { 121, 0,		{ XK_KP_Decimal }},
  { 122, 0,		{ XK_KP_2 }},
  { 123, 0,		{ XK_KP_5 }},
  { 124, 0,		{ XK_KP_6 }},
  { 125, 0,		{ XK_KP_8 }},
  { 126, 0,		{ XK_Escape }},
  { 127, 0,		{ XK_Num_Lock }},
  { 128, 0,		{ XK_F11 }},
  { 129, 0,		{ XK_KP_Add }},
  { 130, 0,		{ XK_KP_3 }},
  { 131, 0,		{ XK_KP_Subtract }},
  { 132, 0,		{ XK_KP_Multiply }},
  { 133, 0,		{ XK_KP_9 }},
  { 134, 0,		{ XK_Pause }},
  { 139, 0,		{ XK_F7 }}
  };
