/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1996
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the NCD123-UX keyboard.
 * Generated by John Palmieri <palmieri@math.mit.edu>
 */

static const struct default_keycode_map ncd123_map [] = {
  {   8, 0,		{ XK_Escape }},
  {   9, 0,		{ XK_Help }},
  {  10, 0,		{ XK_F11,	XK_F11,
			XK_Cancel }},
  {  11, 0,		{ XK_F12,	XK_F12,
			XK_Redo }},
  {  12, Mod5Mask,	{ XK_F13,	XK_F13,
			SunXK_Props }},
  {  13, 0,		{ XK_Tab }},
  {  14, 0,		{ XK_Escape }},
  {  15, 0,		{ XK_F2 }},
  {  16, 0,		{ XK_F14,	XK_F14,
			XK_Undo }},
  {  17, LockMask,	{ XK_Caps_Lock }},
  {  18, ShiftMask,	{ XK_Shift_L }},
  {  19, 0,		{ XK_F15,	XK_F15,
			SunXK_Front }},
  {  20, ControlMask,	{ XK_Control_L }},
  {  21, 0,		{ XK_Q }},
  {  22, 0,		{ XK_1,	XK_exclam }},
  {  23, 0,		{ XK_F3 }},
  {  24, 0,		{ XK_F16,	XK_F16,
			SunXK_Copy }},
  {  25, Mod4Mask,	{ XK_Alt_L }},
  {  26, 0,		{ XK_Z }},
  {  27, 0,		{ XK_S }},
  {  28, 0,		{ XK_A }},
  {  29, 0,		{ XK_W }},
  {  30, 0,		{ XK_2,	XK_at }},
  {  31, 0,		{ XK_F4 }},
  {  32, 0,		{ XK_F17,	XK_F17,
			SunXK_Open }},
  {  33, 0,		{ XK_C }},
  {  34, 0,		{ XK_X }},
  {  35, 0,		{ XK_D }},
  {  36, 0,		{ XK_E }},
  {  37, 0,		{ XK_4,	XK_dollar }},
  {  38, 0,		{ XK_3,	XK_numbersign }},
  {  39, 0,		{ XK_F5 }},
  {  40, Mod5Mask,	{ XK_F18,	XK_F18,
			SunXK_Paste }},
  {  41, 0,		{ XK_space }},
  {  42, 0,		{ XK_V }},
  {  43, 0,		{ XK_F }},
  {  44, 0,		{ XK_T }},
  {  45, 0,		{ XK_R }},
  {  46, 0,		{ XK_5,	XK_percent }},
  {  47, 0,		{ XK_F6 }},
  {  48, 0,		{ XK_F19,	XK_F19,
			XK_Find }},
  {  49, 0,		{ XK_N }},
  {  50, 0,		{ XK_B }},
  {  51, 0,		{ XK_H }},
  {  52, 0,		{ XK_G }},
  {  53, 0,		{ XK_Y }},
  {  54, 0,		{ XK_6,	XK_asciicircum }},
  {  55, 0,		{ XK_F7 }},
  {  56, Mod5Mask,	{ XK_F20,	XK_F20,
			SunXK_Cut }},
  {  57, 0,		{ XK_Multi_key }},
  {  58, 0,		{ XK_M }},
  {  59, 0,		{ XK_J }},
  {  60, 0,		{ XK_U }},
  {  61, 0,		{ XK_7,	XK_ampersand }},
  {  62, 0,		{ XK_8,	XK_asterisk }},
  {  63, 0,		{ XK_F8 }},
  {  64, Mod1Mask,	{ XK_Meta_L }},
  {  65, 0,		{ XK_comma,	XK_less }},
  {  66, 0,		{ XK_K }},
  {  67, 0,		{ XK_I }},
  {  68, 0,		{ XK_O }},
  {  69, 0,		{ XK_0,	XK_parenright }},
  {  70, 0,		{ XK_9,	XK_parenleft }},
  {  71, 0,		{ XK_F9 }},
  {  72, Mod1Mask,	{ XK_Meta_R }},
  {  73, 0,		{ XK_period,	XK_greater }},
  {  74, 0,		{ XK_slash,	XK_question }},
  {  75, 0,		{ XK_L }},
  {  76, 0,		{ XK_semicolon,	XK_colon }},
  {  77, 0,		{ XK_P }},
  {  78, 0,		{ XK_minus,	XK_underscore }},
  {  79, 0,		{ XK_F10 }},
  {  82, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  84, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  85, 0,		{ XK_equal,	XK_plus }},
  {  86, 0,		{ SunXK_F36 }},
  {  87, 0,		{ XK_F22,	XK_F22,
			XK_Print,	SunXK_Sys_Req }},
  {  88, Mod2Mask,	{ XK_Mode_switch }},
  {  89, ShiftMask,	{ XK_Shift_R }},
  {  90, 0,		{ XK_Return }},
  {  91, 0,		{ XK_bracketright,	XK_braceright }},
  {  92, 0,		{ XK_BackSpace }},
  {  94, 0,		{ SunXK_F37 }},
  {  95, 0,		{ XK_F23,	XK_F23,
			XK_Scroll_Lock }},
  {  96, 0,		{ XK_Down }},
  {  97, 0,		{ XK_Left }},
  {  98, 0,		{ XK_F21,	XK_F21,
			XK_Pause,	XK_Break }},
  {  99, 0,		{ XK_Up }},
  { 100, 0,		{ XK_Delete }},
  { 101, 0,		{ XK_End }},
  { 102, 0,		{ XK_grave,	XK_asciitilde }},
  { 103, 0,		{ XK_Insert }},
  { 105, 0,		{ XK_F33,	XK_F33,
			XK_KP_1,	XK_End }},
  { 106, 0,		{ XK_Right }},
  { 107, 0,		{ XK_Left,	XK_F30,
			XK_KP_4 }},
  { 108, 0,		{ XK_F27,	XK_F27,
			XK_KP_7,	XK_Home }},
  { 109, 0,		{ XK_Next }},
  { 110, 0,		{ XK_Home }},
  { 111, 0,		{ XK_Prior }},
  { 112, 0,		{ XK_Insert,	XK_Insert,
			XK_KP_0 }},
  { 113, 0,		{ XK_Delete,	XK_Delete,
			XK_KP_Decimal }},
  { 114, 0,		{ XK_Down,	XK_F34,
			XK_KP_2 }},
  { 115, 0,		{ XK_F31,	XK_F31,
			XK_KP_5 }},
  { 116, 0,		{ XK_Right,	XK_F32,
			XK_KP_6 }},
  { 117, 0,		{ XK_Up,	XK_F28,
			XK_KP_8 }},
  { 118, Mod3Mask,	{ XK_Num_Lock }},
  { 119, 0,		{ XK_F25,	XK_F25,
			XK_KP_Divide }},
  { 120, 0,		{ XK_less,	XK_greater }},
  { 121, 0,		{ XK_KP_Enter }},
  { 122, 0,		{ XK_F35,	XK_F35,
			XK_KP_3,	XK_Next }},
  { 123, 0,		{ XK_backslash,	XK_bar }},
  { 124, 0,		{ XK_KP_Add }},
  { 125, 0,		{ XK_F29,	XK_F29,
			XK_KP_9,	XK_Prior }},
  { 126, 0,		{ XK_F26,	XK_F26,
			XK_KP_Multiply }},
  { 132, 0,		{ XK_F24,	XK_F24,
			XK_KP_Subtract }},
  { 135, 0,		{ XK_F1 }},
  { 218, 0,		{ XK_agrave,	XK_Agrave }},
  { 219, 0,		{ XK_egrave,	XK_Egrave }},
  { 220, 0,		{ XK_igrave,	XK_Igrave }},
  { 221, 0,		{ XK_ograve,	XK_Ograve }},
  { 222, 0,		{ XK_ugrave,	XK_Ugrave }},
  { 223, 0,		{ XK_grave }},
  { 224, 0,		{ XK_acircumflex,	XK_Acircumflex }},
  { 225, 0,		{ XK_ecircumflex,	XK_Ecircumflex }},
  { 226, 0,		{ XK_icircumflex,	XK_Icircumflex }},
  { 227, 0,		{ XK_ocircumflex,	XK_Ocircumflex }},
  { 228, 0,		{ XK_ucircumflex,	XK_Ucircumflex }},
  { 229, 0,		{ XK_asciicircum }},
  { 230, 0,		{ XK_adiaeresis,	XK_Adiaeresis }},
  { 231, 0,		{ XK_ediaeresis,	XK_Ediaeresis }},
  { 232, 0,		{ XK_idiaeresis,	XK_Idiaeresis }},
  { 233, 0,		{ XK_odiaeresis,	XK_Odiaeresis }},
  { 234, 0,		{ XK_udiaeresis,	XK_Udiaeresis }},
  { 235, 0,		{ XK_ydiaeresis }},
  { 236, 0,		{ XK_diaeresis,	XK_diaeresis }},
  { 237, 0,		{ XK_atilde,	XK_Atilde }},
  { 238, 0,		{ XK_ntilde,	XK_Ntilde }},
  { 239, 0,		{ XK_otilde,	XK_Otilde }},
  { 240, 0,		{ XK_asciitilde }},
  { 241, 0,		{ XK_aacute,	XK_Aacute }},
  { 242, 0,		{ XK_eacute,	XK_Eacute }},
  { 243, 0,		{ XK_iacute,	XK_Iacute }},
  { 244, 0,		{ XK_oacute,	XK_Oacute }},
  { 245, 0,		{ XK_uacute,	XK_Uacute }},
  { 246, 0,		{ XK_acute }},
  { 247, 0,		{ XK_ccedilla,	XK_Ccedilla }},
  { 248, 0,		{ XK_cedilla }},
  {  80, 0,		{ 0 }},
  {  81, 0,		{ 0 }},
  {  83, 0,		{ 0 }},
  { 127, 0,		{ 0 }},
  { 128, 0,		{ 0 }},
  { 129, 0,		{ 0 }},
  { 130, 0,		{ 0 }},
  { 131, 0,		{ 0 }}
  };
