/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the NCD PC-Xview keyboard
 * By Jason Merrill <jason@jarthur.claremont.edu>
 */

static const struct default_keycode_map ncdpc_map [] = {
  {   8, 0,		{ XK_space,	XK_space }},
  {   9, 0,		{ XK_a,	XK_A }},
  {  10, 0,		{ XK_b,	XK_B }},
  {  11, 0,		{ XK_c,	XK_C }},
  {  12, 0,		{ XK_d,	XK_D }},
  {  13, 0,		{ XK_e,	XK_E }},
  {  14, 0,		{ XK_f,	XK_F }},
  {  15, 0,		{ XK_g,	XK_G }},
  {  16, 0,		{ XK_h,	XK_H }},
  {  17, 0,		{ XK_i,	XK_I }},
  {  18, 0,		{ XK_j,	XK_J }},
  {  19, 0,		{ XK_k,	XK_K }},
  {  20, 0,		{ XK_l,	XK_L }},
  {  21, 0,		{ XK_m,	XK_M }},
  {  22, 0,		{ XK_n,	XK_N }},
  {  23, 0,		{ XK_o,	XK_O }},
  {  24, 0,		{ XK_p,	XK_P }},
  {  25, 0,		{ XK_q,	XK_Q }},
  {  26, 0,		{ XK_r,	XK_R }},
  {  27, 0,		{ XK_s,	XK_S }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_u,	XK_U }},
  {  30, 0,		{ XK_v,	XK_V }},
  {  31, 0,		{ XK_w,	XK_W }},
  {  32, 0,		{ XK_x,	XK_X }},
  {  33, 0,		{ XK_y,	XK_Y }},
  {  34, 0,		{ XK_z,	XK_Z }},
  {  35, 0,		{ XK_0,	XK_parenright }},
  {  36, 0,		{ XK_1,	XK_exclam }},
  {  37, 0,		{ XK_2,	XK_at }},
  {  38, 0,		{ XK_3,	XK_numbersign }},
  {  39, 0,		{ XK_4,	XK_dollar }},
  {  40, 0,		{ XK_5,	XK_percent }},
  {  41, 0,		{ XK_6,	XK_asciicircum }},
  {  42, 0,		{ XK_7,	XK_ampersand }},
  {  43, 0,		{ XK_8,	XK_asterisk }},
  {  44, 0,		{ XK_9,	XK_parenleft }},
  {  45, 0,		{ XK_comma,	XK_less }},
  {  46, 0,		{ XK_period,	XK_greater }},
  {  47, 0,		{ XK_slash,	XK_question }},
  {  48, 0,		{ XK_semicolon,	XK_colon }},
  {  49, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  50, 0,		{ XK_grave,	XK_asciitilde }},
  {  51, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  52, 0,		{ XK_bracketright,	XK_braceright }},
  {  53, 0,		{ XK_minus,	XK_underscore }},
  {  54, 0,		{ XK_equal,	XK_plus }},
  {  55, 0,		{ XK_backslash,	XK_bar }},
  {  56, 0,		{ XK_BackSpace,	XK_Delete }},
  {  57, 0,		{ XK_Tab,	XK_Tab }},
  {  58, 0,		{ XK_Pause,	XK_Pause }},
  {  59, 0,		{ XK_Escape,	XK_Escape }},
  {  60, 0,		{ XK_Prior,	XK_Prior }},
  {  61, 0,		{ XK_Next,	XK_Next }},
  {  62, 0,		{ XK_End,	XK_End }},
  {  63, 0,		{ XK_Home,	XK_Home }},
  {  64, 0,		{ XK_Left,	XK_Left }},
  {  65, 0,		{ XK_Up,	XK_Up }},
  {  66, 0,		{ XK_Right,	XK_Right }},
  {  67, 0,		{ XK_Down,	XK_Down }},
  {  68, 0,		{ XK_Insert,	XK_Insert }},
  {  69, 0,		{ XK_Delete,	XK_Delete }},
  {  81, 0,		{ XK_KP_0,	XK_Insert }},
  {  82, 0,		{ XK_KP_1,	XK_End }},
  {  83, 0,		{ XK_KP_2,	XK_Down }},
  {  84, 0,		{ XK_KP_3,	XK_Next }},
  {  85, 0,		{ XK_KP_4,	XK_Left }},
  {  86, 0,		{ XK_KP_5,	XK_KP_5 }},
  {  87, 0,		{ XK_KP_6,	XK_Right }},
  {  88, 0,		{ XK_KP_7,	XK_Home }},
  {  89, 0,		{ XK_KP_8,	XK_Up }},
  {  90, 0,		{ XK_KP_9,	XK_Prior }},
  {  91, 0,		{ XK_KP_Multiply,	XK_KP_Multiply }},
  {  92, 0,		{ XK_KP_Add,	XK_KP_Add }},
  {  93, 0,		{ XK_KP_Subtract,	XK_KP_Subtract }},
  {  94, 0,		{ XK_KP_Decimal,	XK_Delete }},
  {  95, 0,		{ XK_KP_Divide,	XK_KP_Divide }},
  {  96, 0,		{ XK_F1,	XK_F11 }},
  {  97, 0,		{ XK_F2,	XK_F12 }},
  {  98, 0,		{ XK_F3,	XK_F13 }},
  {  99, 0,		{ XK_F4,	XK_F14 }},
  { 100, 0,		{ XK_F5,	XK_F15 }},
  { 101, 0,		{ XK_F6,	XK_F16 }},
  { 102, 0,		{ XK_F7,	XK_F17 }},
  { 103, 0,		{ XK_F8,	XK_F18 }},
  { 104, 0,		{ XK_F9,	XK_F19 }},
  { 105, 0,		{ XK_F10,	XK_F20 }},
  { 106, 0,		{ XK_F11,	XK_F21 }},
  { 107, 0,		{ XK_F12,	XK_F22 }},
  { 111, 0,		{ XK_Num_Lock,	XK_Num_Lock }},
  { 112, 0,		{ XK_Scroll_Lock,	XK_Scroll_Lock }},
  { 113, 0,		{ XK_KP_Enter,	XK_KP_Enter }},
  { 114, 0,		{ XK_Return,	XK_Return }},
  { 115, Mod1Mask,	{ XK_Alt_R,	XK_Alt_R }},
  { 116, Mod1Mask,	{ XK_Alt_L,	XK_Alt_L }},
  { 117, ShiftMask,	{ XK_Shift_R,	XK_Shift_R }},
  { 118, ShiftMask,	{ XK_Shift_L,	XK_Shift_L }},
  { 119, ControlMask,	{ XK_Control_R,	XK_Control_R }},
  { 120, ControlMask,	{ XK_Control_L,	XK_Control_L }},
  { 121, LockMask,	{ XK_Caps_Lock,	XK_Caps_Lock }}
  };
