/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the keysyms of the PhaseX PXCH2 (Wyse) 
 * keyboard. By Jonathan Abbey <jonabbey@arlut.utexas.edu>
 */


static const struct default_keycode_map phasex_pxch2_map [] = {
  {   8, 0,		{ XK_Home,	XK_KP_7 }},
  {   9, 0,		{ XK_period,	XK_greater }},
  {  10, 0,		{ XK_K }},
  {  11, 0,		{ XK_U }},
  {  12, 0,		{ XK_5,	XK_percent }},
  {  13, 0,		{ XK_backslash,	XK_bar }},
  {  14, 0,		{ XK_F10 }},
  {  15, 0,		{ XK_Escape }},
  {  16, 0,		{ XK_KP_Add }},
  {  17, 0,		{ XK_equal,	XK_plus }},
  {  18, 0,		{ XK_Return }},
  {  19, 0,		{ XK_Y }},
  {  20, Mod1Mask,	{ XK_Alt_L }},
  {  21, 0,		{ XK_2,	XK_at }},
  {  22, 0,		{ XK_grave,	XK_asciitilde }},
  {  23, 0,		{ XK_1,	XK_exclam }},
  {  24, 0,		{ XK_KP_Enter }},
  {  25, 0,		{ XK_comma,	XK_less }},
  {  26, 0,		{ XK_F12 }},
  {  27, 0,		{ XK_O }},
  {  28, 0,		{ XK_Num_Lock }},
  {  29, LockMask,	{ XK_Caps_Lock }},
  {  30, ControlMask,	{ XK_Control_L }},
  {  31, 0,		{ XK_backslash,	XK_bar }},
  {  32, 0,		{ XK_Delete,	XK_KP_Decimal }},
  {  33, 0,		{ XK_F11 }},
  {  34, 0,		{ XK_slash,	XK_question }},
  {  35, 0,		{ XK_I }},
  {  36, 0,		{ XK_semicolon,	XK_colon }},
  {  37, ShiftMask,	{ XK_Shift_R }},
  {  39, ShiftMask,	{ XK_Shift_L }},
  {  40, 0,		{ XK_Insert,	XK_KP_0 }},
  {  41, 0,		{ XK_Prior,	XK_KP_9 }},
  {  42, 0,		{ XK_KP_Subtract }},
  {  43, 0,		{ XK_KP_Multiply }},
  {  44, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  45, 0,		{ XK_Select }},
  {  46, ControlMask,	{ XK_Control_R }},
  {  47, 0,		{ XK_space }},
  {  48, 0,		{ XK_KP_Divide }},
  {  49, 0,		{ XK_Z }},
  {  50, 0,		{ XK_L }},
  {  51, 0,		{ XK_minus,	XK_underscore }},
  {  52, Mod1Mask,	{ XK_Alt_R }},
  {  53, 0,		{ XK_bracketright,	XK_braceright }},
  {  54, 0,		{ XK_Scroll_Lock }},
  {  55, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  56, 0,		{ XK_End,	XK_KP_1 }},
  {  57, 0,		{ XK_B }},
  {  58, 0,		{ XK_J }},
  {  59, 0,		{ XK_T }},
  {  60, 0,		{ XK_3,	XK_numbersign }},
  {  61, 0,		{ XK_Insert }},
  {  62, 0,		{ XK_F7 }},
  {  63, 0,		{ XK_BackSpace }},
  {  64, 0,		{ XK_Down,	XK_KP_2 }},
  {  65, 0,		{ XK_M }},
  {  66, 0,		{ XK_H }},
  {  67, 0,		{ XK_P }},
  {  68, 0,		{ XK_4,	XK_dollar }},
  {  69, 0,		{ XK_Home }},
  {  70, 0,		{ XK_F6 }},
  {  71, 0,		{ XK_Right }},
  {  72, 0,		{ XK_Next,	XK_KP_3 }},
  {  73, 0,		{ XK_N }},
  {  74, 0,		{ XK_G }},
  {  75, 0,		{ XK_R }},
  {  76, 0,		{ XK_0,	XK_parenright }},
  {  77, 0,		{ XK_Prior }},
  {  78, 0,		{ XK_F5 }},
  {  79, 0,		{ XK_Up }},
  {  80, 0,		{ XK_Left,	XK_KP_4 }},
  {  81, 0,		{ XK_V }},
  {  82, 0,		{ XK_D }},
  {  83, 0,		{ XK_W }},
  {  84, 0,		{ XK_6,	XK_asciicircum }},
  {  85, 0,		{ XK_Delete }},
  {  86, 0,		{ XK_F4 }},
  {  87, 0,		{ XK_Down }},
  {  88, 0,		{ XK_KP_5 }},
  {  89, 0,		{ XK_X }},
  {  90, 0,		{ XK_F }},
  {  91, 0,		{ XK_E }},
  {  92, 0,		{ XK_7,	XK_ampersand }},
  {  93, 0,		{ XK_End }},
  {  94, 0,		{ XK_F3 }},
  {  95, 0,		{ XK_Left }},
  {  96, 0,		{ XK_Right,	XK_KP_6 }},
  {  97, 0,		{ XK_C }},
  {  98, 0,		{ XK_S }},
  {  99, 0,		{ XK_Q }},
  { 100, 0,		{ XK_8,	XK_asterisk }},
  { 101, 0,		{ XK_Next }},
  { 102, 0,		{ XK_F2 }},
  { 103, 0,		{ XK_Print }},
  { 104, 0,		{ XK_Up,	XK_KP_8 }},
  { 105, 0,		{ XK_F9 }},
  { 106, 0,		{ XK_A }},
  { 107, 0,		{ XK_F8 }},
  { 108, 0,		{ XK_9,	XK_parenleft }},
  { 109, 0,		{ XK_F1 }},
  { 110, 0,		{ XK_Pause,	XK_Break }},
  { 111, 0,		{ XK_Tab }},
  };
