/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the IBM RS/6000 german keyboard.
 * Generated by Joerg Stippa <stippa@isa.de> on
 * IBM RS/6000 32H (320), AIX-3.2.5, with IBM's X11R5 (AIXWindows.)
 */

static const struct default_keycode_map rs6kde_aix_map [] = {
  {   9, 0,		{ XK_dead_circumflex,	XK_degree }},
  {  10, 0,		{ XK_1,	XK_exclam }},
  {  11, 0,		{ XK_2,	XK_quotedbl,	XK_twosuperior }},
  {  12, 0,		{ XK_3,	XK_section,	XK_threesuperior }},
  {  13, 0,		{ XK_4,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_ampersand }},
  {  16, 0,		{ XK_7,	XK_slash,	XK_braceleft }},
  {  17, 0,		{ XK_8,	XK_parenleft,	XK_bracketleft }},
  {  18, 0,		{ XK_9,	XK_parenright,	XK_bracketright }},
  {  19, 0,		{ XK_0,	XK_equal,	XK_braceright }},
  {  20, 0,		{ XK_ssharp,	XK_question,	XK_backslash }},
  {  21, 0,		{ XK_dead_acute,	XK_dead_grave }},
  {  23, 0,		{ XK_BackSpace }},
  {  24, 0,		{ XK_Tab }},
  {  25, 0,		{ XK_q,	XK_Q,		XK_at }},
  {  26, 0,		{ XK_w,	XK_W }},
  {  27, 0,		{ XK_e,	XK_E }},
  {  28, 0,		{ XK_r,	XK_R }},
  {  29, 0,		{ XK_t,	XK_T }},
  {  30, 0,		{ XK_z,	XK_Z }},
  {  31, 0,		{ XK_u,	XK_U }},
  {  32, 0,		{ XK_i,	XK_I }},
  {  33, 0,		{ XK_o,	XK_O }},
  {  34, 0,		{ XK_p,	XK_P }},
  {  35, 0,		{ XK_udiaeresis,	XK_Udiaeresis }},
  {  36, 0,		{ XK_plus,	XK_asterisk,	XK_dead_tilde }},
  {  38, LockMask,	{ XK_Shift_Lock }},
  {  39, 0,		{ XK_a,	XK_A }},
  {  40, 0,		{ XK_s,	XK_S }},
  {  41, 0,		{ XK_d,	XK_D }},
  {  42, 0,		{ XK_f,	XK_F }},
  {  43, 0,		{ XK_g,	XK_G }},
  {  44, 0,		{ XK_h,	XK_H }},
  {  45, 0,		{ XK_j,	XK_J }},
  {  46, 0,		{ XK_k,	XK_K }},
  {  47, 0,		{ XK_l,	XK_L }},
  {  48, 0,		{ XK_odiaeresis,	XK_Odiaeresis }},
  {  49, 0,		{ XK_adiaeresis,	XK_Adiaeresis }},
  {  50, 0,		{ XK_numbersign,	XK_apostrophe }},
  {  51, 0,		{ XK_Return,	XK_Return }},
  {  52, ShiftMask,	{ XK_Shift_L }},
  {  53, 0,		{ XK_less,	XK_greater,	XK_bar }},
  {  54, 0,		{ XK_y,	XK_Y }},
  {  55, 0,		{ XK_x,	XK_X }},
  {  56, 0,		{ XK_c,	XK_C }},
  {  57, 0,		{ XK_v,	XK_V }},
  {  58, 0,		{ XK_b,	XK_B }},
  {  59, 0,		{ XK_n,	XK_N }},
  {  60, 0,		{ XK_m,	XK_M,			XK_mu }},
  {  61, 0,		{ XK_comma,	XK_semicolon }},
  {  62, 0,		{ XK_period,	XK_colon }},
  {  63, 0,		{ XK_minus,	XK_underscore }},
  {  65, ShiftMask,	{ XK_Shift_R }},
  {  66, ControlMask,	{ XK_Control_L }},
  {  68, Mod1Mask,	{ XK_Alt_L }},
  {  69, 0,		{ XK_space,	XK_space }},
  {  70, Mod2Mask,	{ XK_Mode_switch }},
  {  72, 0,		{ XK_Execute }},
  {  83, 0,		{ XK_Insert }},
  {  84, 0,		{ XK_Delete }},
  {  87, 0,		{ XK_Left }},
  {  88, 0,		{ XK_Home }},
  {  89, 0,		{ XK_End }},
  {  91, 0,		{ XK_Up }},
  {  92, 0,		{ XK_Down }},
  {  93, 0,		{ XK_Prior }},
  {  94, 0,		{ XK_Next }},
  {  97, 0,		{ XK_Right }},
  {  98, Mod5Mask,	{ XK_Num_Lock }},
  {  99, 0,		{ XK_KP_7 }},
  { 100, 0,		{ XK_KP_4 }},
  { 101, 0,		{ XK_KP_1 }},
  { 103, 0,		{ XK_KP_Divide }},
  { 104, 0,		{ XK_KP_8 }},
  { 105, 0,		{ XK_KP_5 }},
  { 106, 0,		{ XK_KP_2 }},
  { 107, 0,		{ XK_KP_0 }},
  { 108, 0,		{ XK_KP_Multiply }},
  { 109, 0,		{ XK_KP_9 }},
  { 110, 0,		{ XK_KP_6 }},
  { 111, 0,		{ XK_KP_3 }},
  { 112, 0,		{ XK_KP_Decimal }},
  { 113, 0,		{ XK_KP_Subtract }},
  { 114, 0,		{ XK_KP_Add }},
  { 116, 0,		{ XK_KP_Enter }},
  { 118, 0,		{ XK_Escape }},
  { 120, 0,		{ XK_F1 }},
  { 121, 0,		{ XK_F2 }},
  { 122, 0,		{ XK_F3 }},
  { 123, 0,		{ XK_F4 }},
  { 124, 0,		{ XK_F5 }},
  { 125, 0,		{ XK_F6 }},
  { 126, 0,		{ XK_F7 }},
  { 127, 0,		{ XK_F8 }},
  { 128, 0,		{ XK_F9 }},
  { 129, 0,		{ XK_F10 }},
  { 130, 0,		{ XK_F11 }},
  { 131, 0,		{ XK_F12 }},
  { 132, 0,		{ XK_Print }},
  { 133, 0,		{ XK_Cancel }},
  { 134, 0,		{ XK_Pause }},
  { 139, 0,		{ XK_Multi_key }},
  { 140, 0,		{ XK_Kanji }},
  { 141, Mod2Mask,	{ XK_Mode_switch }}
};
