/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the IBM PC/RT keyboard,
 * 8-bit Swedish layout.  Generated by Torbj|rn Lindgren <tl@cd.chalmers.se>
 */

static const struct default_keycode_map rtsw8_map [] = {

  {   7, 0,             { XK_F1 }},
  {   8, 0,             { XK_Escape }},
  {  13, 0,             { XK_Tab }},
  {  14, 0,             { XK_onehalf,     XK_section,
                        XK_bar }},
  {  15, 0,             { XK_F2 }},
  {  17, ControlMask,   { XK_Control_L }},
  {  18, ShiftMask,     { XK_Shift_L }},
  {  19, 0,             { XK_less,        XK_greater,
                        XK_backslash }},
  {  20, LockMask,      { XK_Caps_Lock }},
  {  21, 0,             { XK_Q }},
  {  22, 0,             { XK_1,   XK_exclam }},
  {  23, 0,             { XK_F3 }},
  {  25, Mod1Mask,      { XK_Alt_L }},
  {  26, 0,             { XK_Z }},
  {  27, 0,             { XK_S }},
  {  28, 0,             { XK_A }},
  {  29, 0,             { XK_W }},
  {  30, 0,             { XK_2,   XK_quotedbl,
                        XK_at }},
  {  31, 0,             { XK_F4 }},
  {  33, 0,             { XK_C }},
  {  34, 0,             { XK_X }},
  {  35, 0,             { XK_D }},
  {  36, 0,             { XK_E }},
  {  37, 0,             { XK_4,   XK_dollar,
                        XK_currency }},
  {  38, 0,             { XK_3,   XK_numbersign,
                        XK_numbersign }},
  {  39, 0,             { XK_F5 }},
  {  41, 0,             { XK_space }},
  {  42, 0,             { XK_V }},
  {  43, 0,             { XK_F }},
  {  44, 0,             { XK_T }},
  {  45, 0,             { XK_R }},
  {  46, 0,             { XK_5,   XK_percent }},
  {  47, 0,             { XK_F6 }},
  {  49, 0,             { XK_N }},
  {  50, 0,             { XK_B }},
  {  51, 0,             { XK_H }},
  {  52, 0,             { XK_G }},
  {  53, 0,             { XK_Y }},
  {  54, 0,             { XK_6,   XK_ampersand }},
  {  55, 0,             { XK_F7 }},
  {  57, Mod5Mask,      { XK_Mode_switch }},
  {  58, 0,             { XK_M }},
  {  59, 0,             { XK_J }},
  {  60, 0,             { XK_U }},
  {  61, 0,             { XK_7,   XK_slash }},
  {  62, 0,             { XK_8,   XK_parenleft,
                        XK_bracketleft }},
  {  63, 0,             { XK_F8 }},
  {  65, 0,             { XK_comma,       XK_semicolon }},
  {  66, 0,             { XK_K }},
  {  67, 0,             { XK_I }},
  {  68, 0,             { XK_O }},
  {  69, 0,             { XK_0,   XK_equal,
                        XK_braceleft }},
  {  70, 0,             { XK_9,   XK_parenright,
                        XK_bracketright }},
  {  71, 0,             { XK_F9 }},
  {  73, 0,             { XK_period,      XK_colon }},
  {  74, 0,             { XK_minus,       XK_underscore }},
  {  75, 0,             { XK_L }},
  {  76, 0,             { XK_odiaeresis,  XK_Odiaeresis }},
  {  77, 0,             { XK_P }},
  {  78, 0,             { XK_plus,        XK_question,
                        XK_braceright }},
  {  79, 0,             { XK_F10 }},
  {  82, 0,             { XK_adiaeresis,  XK_Adiaeresis }},
  {  83, 0,             { XK_apostrophe,  XK_asterisk }},
  {  84, 0,             { XK_aring,       XK_Aring }},
  {  85, 0,             { XK_apostrophe,  XK_grave,
                        XK_asciitilde }},
  {  86, 0,             { XK_F11 }},
  {  87, 0,             { XK_Print }},
  {  88, 0,             { XK_Meta_R }},
  {  89, ShiftMask,     { XK_Shift_R }},
  {  90, 0,             { XK_Return }},
  {  91, 0,             { XK_asciitilde, XK_asciicircum }},
  {  94, 0,             { XK_F12 }},
  {  96, 0,             { XK_Down }},
  {  97, 0,             { XK_Left }},
  {  98, 0,             { XK_Pause }},
  {  99, 0,             { XK_Up }},
  { 100, 0,             { XK_Delete }},
  { 101, 0,             { XK_End }},
  { 102, 0,             { XK_BackSpace,   XK_BackSpace }},
  { 103, 0,             { XK_Insert }},
  { 105, 0,             { XK_KP_1 }},
  { 106, 0,             { XK_Right }},
  { 107, 0,             { XK_KP_4 }},
  { 108, 0,             { XK_KP_7 }},
  { 109, 0,             { XK_Next }},
  { 110, 0,             { XK_Home }},
  { 111, 0,             { XK_Prior }},
  { 112, 0,             { XK_KP_0 }},
  { 113, 0,             { XK_KP_Separator }},
  { 114, 0,             { XK_KP_2 }},
  { 115, 0,             { XK_KP_5 }},
  { 116, 0,             { XK_KP_6 }},
  { 117, 0,             { XK_KP_8 }},
  { 118, 0,             { XK_Num_Lock }},
  { 119, 0,             { XK_KP_Divide }},
  { 121, 0,             { XK_KP_Enter }},
  { 122, 0,             { XK_KP_3 }},
  { 124, 0,             { XK_KP_Add }},
  { 125, 0,             { XK_KP_9 }},
  { 126, 0,             { XK_KP_Multiply }},
  { 132, 0,             { XK_KP_Subtract }}
  };
