/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the Sun type 3 keyboard,
 * with X Consortium R4 and R5 servers.
 */

static const struct default_keycode_map sun3_xc_map [] = {
  {   8, 0,		{ XK_F11 }},
  {  10, 0,		{ XK_F12 }},
  {  12, 0,		{ XK_F1 }},
  {  13, 0,		{ XK_F2 }},
  {  15, 0,		{ XK_F3 }},
  {  17, 0,		{ XK_F4 }},
  {  19, 0,		{ XK_F5 }},
  {  21, 0,		{ XK_F6 }},
  {  23, 0,		{ XK_F7 }},
  {  24, 0,		{ XK_F8 }},
  {  25, 0,		{ XK_F9 }},
  {  26, 0,		{ XK_Alt_R }},
  {  28, 0,		{ XK_F21 }},
  {  29, 0,		{ XK_F22 }},
  {  30, 0,		{ XK_F23 }},
  {  32, 0,		{ XK_F13 }},
  {  33, 0,		{ XK_F14 }},
  {  36, 0,		{ XK_Escape }},
  {  37, 0,		{ XK_1,	XK_exclam }},
  {  38, 0,		{ XK_2,	XK_at }},
  {  39, 0,		{ XK_3,	XK_numbersign }},
  {  40, 0,		{ XK_4,	XK_dollar }},
  {  41, 0,		{ XK_5,	XK_percent }},
  {  42, 0,		{ XK_6,	XK_asciicircum }},
  {  43, 0,		{ XK_7,	XK_ampersand }},
  {  44, 0,		{ XK_8,	XK_asterisk }},
  {  45, 0,		{ XK_9,	XK_parenleft }},
  {  46, 0,		{ XK_0,	XK_parenright }},
  {  47, 0,		{ XK_minus,	XK_underscore }},
  {  48, 0,		{ XK_equal,	XK_plus }},
  {  49, 0,		{ XK_grave,	XK_asciitilde }},
  {  50, 0,		{ XK_BackSpace }},
  {  52, 0,		{ XK_F24 }},
  {  53, 0,		{ XK_F25 }},
  {  54, 0,		{ XK_F26 }},
  {  56, 0,		{ XK_F15 }},
  {  58, 0,		{ XK_F16 }},
  {  60, 0,		{ XK_Tab }},
  {  61, 0,		{ XK_Q }},
  {  62, 0,		{ XK_W }},
  {  63, 0,		{ XK_E }},
  {  64, 0,		{ XK_R }},
  {  65, 0,		{ XK_T }},
  {  66, 0,		{ XK_Y }},
  {  67, 0,		{ XK_U }},
  {  68, 0,		{ XK_I }},
  {  69, 0,		{ XK_O }},
  {  70, 0,		{ XK_P }},
  {  71, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  72, 0,		{ XK_bracketright,	XK_braceright }},
  {  73, 0,		{ XK_Delete }},
  {  75, 0,		{ XK_F27 }},
  {  76, 0,		{ XK_Up,	XK_F28 }},
  {  77, 0,		{ XK_F29 }},
  {  79, 0,		{ XK_F17 }},
  {  80, 0,		{ XK_F18 }},
  {  83, ControlMask,	{ XK_Control_L }},
  {  84, 0,		{ XK_A }},
  {  85, 0,		{ XK_S }},
  {  86, 0,		{ XK_D }},
  {  87, 0,		{ XK_F }},
  {  88, 0,		{ XK_G }},
  {  89, 0,		{ XK_H }},
  {  90, 0,		{ XK_J }},
  {  91, 0,		{ XK_K }},
  {  92, 0,		{ XK_L }},
  {  93, 0,		{ XK_semicolon,	XK_colon }},
  {  94, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  95, 0,		{ XK_backslash,	XK_bar, }},
  {  96, 0,		{ XK_Return }},
  {  98, 0,		{ XK_Left,	XK_F30 }},
  {  99, 0,		{ XK_F31 }},
  { 100, 0,		{ XK_Right,	XK_F32 }},
  { 102, 0,		{ XK_F19 }},
  { 104, 0,		{ XK_F20 }},
  { 106, ShiftMask,	{ XK_Shift_L }},
  { 107, 0,		{ XK_Z }},
  { 108, 0,		{ XK_X }},
  { 109, 0,		{ XK_C }},
  { 110, 0,		{ XK_V }},
  { 111, 0,		{ XK_B }},
  { 112, 0,		{ XK_N }},
  { 113, 0,		{ XK_M }},
  { 114, 0,		{ XK_comma,	XK_less }},
  { 115, 0,		{ XK_period,	XK_greater }},
  { 116, 0,		{ XK_slash,	XK_question }},
  { 117, ShiftMask,	{ XK_Shift_R }},
  { 118, 0,		{ XK_Linefeed }},
  { 119, 0,		{ XK_R13 }},
  { 120, 0,		{ XK_Down,	XK_F34 }},
  { 121, 0,		{ XK_F35 }},
  { 126, LockMask,	{ XK_Caps_Lock }},
  { 127, Mod1Mask,	{ XK_Meta_L }},
  { 128, 0,		{ XK_space }},
  { 129, Mod1Mask,	{ XK_Meta_R }}
  };
