/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994, 1995, 1995
 * Jamie Zawinski <jwz@jwz.org>
 */

static const struct default_keycode_map sun5fr_xc6_map [] = {
  {   8, 0,		{ XK_Cancel,	0,
			  XK_F11 }},
  {   9, 0,		{ SunXK_AudioLowerVolume,	SunXK_VideoLowerBrightness }},
  {  10, 0,		{ XK_Redo,	0,
			  XK_F12 }},
  {  11, 0,		{ SunXK_AudioRaiseVolume,	SunXK_VideoRaiseBrightness }},
  {  12, 0,		{ XK_F1 }},
  {  13, 0,		{ XK_F2 }},
  {  14, 0,		{ XK_F10 }},
  {  15, 0,		{ XK_F3 }},
  {  16, 0,		{ XK_F11,	0,
			  SunXK_F36 }},
  {  17, 0,		{ XK_F4 }},
  {  18, 0,		{ XK_F12,	0,
			  SunXK_F37 }},
  {  19, 0,		{ XK_F5 }},
  {  20, Mod2Mask,	{ XK_Mode_switch }},
  {  21, 0,		{ XK_F6 }},
  {  23, 0,		{ XK_F7 }},
  {  24, 0,		{ XK_F8 }},
  {  25, 0,		{ XK_F9 }},
  {  26, Mod3Mask,	{ XK_Alt_L }},
  {  27, 0,		{ XK_Up }},
  {  28, 0,		{ XK_Pause,	0,
			  XK_Break }},
  {  29, 0,		{ XK_Print,	0,
			  XK_Sys_Req,	SunXK_Sys_Req }},
  {  30, 0,		{ XK_Scroll_Lock }},
  {  31, 0,		{ XK_Left }},
  {  32, 0,		{ SunXK_Props,	0,
			  XK_F13 }},
  {  33, 0,		{ XK_Undo,	0,
			  XK_F14 }},
  {  34, 0,		{ XK_Down }},
  {  35, 0,		{ XK_Right }},
  {  36, 0,		{ XK_Escape }},
  {  37, 0,		{ XK_ampersand,	XK_1 }},
  {  38, 0,		{ XK_eacute,	XK_2,
			  XK_asciitilde }},
  {  39, 0,		{ XK_quotedbl,	XK_3,
			  XK_numbersign }},
  {  40, 0,		{ XK_apostrophe,	XK_4,
			  XK_braceleft }},
  {  41, 0,		{ XK_parenleft,	XK_5,
			  XK_bracketleft }},
  {  42, 0,		{ XK_minus,	XK_6,
			  XK_bar }},
  {  43, 0,		{ XK_egrave,	XK_7,
			  XK_grave }},
  {  44, 0,		{ XK_underscore,	XK_8,
			  XK_backslash }},
  {  45, 0,		{ XK_ccedilla,	XK_9,
			  XK_asciicircum }},
  {  46, 0,		{ XK_agrave,	XK_0,
			  XK_at }},
  {  47, 0,		{ XK_parenright,	XK_degree,
			  XK_bracketright }},
  {  48, 0,		{ XK_equal,	XK_plus,
			  XK_braceright }},
  {  49, 0,		{ XK_twosuperior }},
  {  50, 0,		{ XK_BackSpace }},
  {  51, 0,		{ XK_Insert }},
  {  52, 0,		{ SunXK_AudioMute,	SunXK_VideoDegauss }},
  {  53, 0,		{ XK_KP_Divide }},
  {  54, 0,		{ XK_KP_Multiply }},
  {  55, 0,		{ SunXK_PowerSwitch,	SunXK_PowerSwitchShift }},
  {  56, 0,		{ SunXK_Front,	0,
			  XK_F15 }},
  {  57, 0,		{ XK_KP_Delete,	XK_KP_Decimal }},
  {  58, 0,		{ SunXK_Copy,	0,
			  XK_F16 }},
  {  59, 0,		{ XK_Home }},
  {  60, 0,		{ XK_Tab }},
  {  61, 0,		{ XK_A }},
  {  62, 0,		{ XK_Z }},
  {  63, 0,		{ XK_E }},
  {  64, 0,		{ XK_R }},
  {  65, 0,		{ XK_T }},
  {  66, 0,		{ XK_Y }},
  {  67, 0,		{ XK_U }},
  {  68, 0,		{ XK_I }},
  {  69, 0,		{ XK_O }},
  {  70, 0,		{ XK_P }},
  {  71, 0,		{ SunXK_FA_Circum,	SunXK_FA_Diaeresis }},
  {  72, 0,		{ XK_dollar,	XK_sterling,
			  XK_currency }},
  {  73, 0,		{ XK_Delete }},
  {  74, 0,		{ XK_Multi_key }},
  {  75, 0,		{ XK_KP_Home,	XK_KP_7 }},
  {  76, 0,		{ XK_KP_Up,	XK_KP_8 }},
  {  77, 0,		{ XK_KP_Prior,	XK_KP_9 }},
  {  78, 0,		{ XK_KP_Subtract }},
  {  79, 0,		{ SunXK_Open,	0,
			  XK_F17 }},
  {  80, 0,		{ SunXK_Paste,	0,
			  XK_F18 }},
  {  81, 0,		{ XK_End }},
  {  83, ControlMask,	{ XK_Control_L }},
  {  84, 0,		{ XK_Q }},
  {  85, 0,		{ XK_S }},
  {  86, 0,		{ XK_D }},
  {  87, 0,		{ XK_F }},
  {  88, 0,		{ XK_G }},
  {  89, 0,		{ XK_H }},
  {  90, 0,		{ XK_J }},
  {  91, 0,		{ XK_K }},
  {  92, 0,		{ XK_L }},
  {  93, 0,		{ XK_M }},
  {  94, 0,		{ XK_ugrave,	XK_percent }},
  {  95, 0,		{ XK_asterisk,	XK_mu }},
  {  96, 0,		{ XK_Return }},
  {  97, 0,		{ XK_KP_Enter }},
  {  98, 0,		{ XK_KP_Left,	XK_KP_4 }},
  {  99, 0,		{ 0,	XK_KP_5 }},
  { 100, 0,		{ XK_KP_Right,	XK_KP_6 }},
  { 101, 0,		{ XK_KP_Insert,	XK_KP_0 }},
  { 102, 0,		{ XK_Find,	0,
			  XK_F19 }},
  { 103, 0,		{ XK_Prior }},
  { 104, 0,		{ SunXK_Cut,	0,
			  XK_F20 }},
  { 105, Mod4Mask,	{ XK_Num_Lock }},
  { 106, ShiftMask,	{ XK_Shift_L }},
  { 107, 0,		{ XK_W }},
  { 108, 0,		{ XK_X }},
  { 109, 0,		{ XK_C }},
  { 110, 0,		{ XK_V }},
  { 111, 0,		{ XK_B }},
  { 112, 0,		{ XK_N }},
  { 113, 0,		{ XK_comma,	XK_question }},
  { 114, 0,		{ XK_semicolon,	XK_period }},
  { 115, 0,		{ XK_colon,	XK_slash }},
  { 116, 0,		{ XK_exclam,	XK_section }},
  { 117, ShiftMask,	{ XK_Shift_R }},
  { 119, 0,		{ XK_KP_End,	XK_KP_1 }},
  { 120, 0,		{ XK_KP_Down,	XK_KP_2 }},
  { 121, 0,		{ XK_KP_Next,	XK_KP_3,
			  0,	XK_Next }},
  { 125, 0,		{ XK_Help }},
  { 126, LockMask,	{ XK_Caps_Lock }},
  { 127, Mod1Mask,	{ XK_Meta_L }},
  { 128, 0,		{ XK_space }},
  { 129, Mod1Mask,	{ XK_Meta_R }},
  { 130, 0,		{ XK_Next }},
  { 131, 0,		{ XK_less,	XK_greater }},
  { 132, 0,		{ XK_KP_Add }},
  };
