/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994 
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the Tektroknix X terminal
 * with a Sun4-style keyboard.  
 * Generated by Robert Zwickenpflug <zpg@mmk.e-technik.tu-muenchen.de>
 */

static const struct default_keycode_map teksun4_map [] = {
  {   9, 0,		{ XK_F15 }},
  {  10, 0,		{ XK_F11 }},
  {  11, 0,		{ XK_F13 }},
  {  12, 0,		{ XK_KP_Subtract,	XK_KP_Subtract }},
  {  13, 0,		{ XK_F17 }},
  {  14, 0,		{ XK_F19 }},
  {  15, 0,		{ XK_F1 }},
  {  16, 0,		{ XK_F12 }},
  {  17, 0,		{ XK_F20 }},
  {  21, 0,		{ XK_Tab }},
  {  22, 0,		{ XK_Escape }},
  {  23, 0,		{ XK_F2 }},
  {  24, 0,		{ XK_Help,	XK_Help }},
  {  25, LockMask,	{ XK_Caps_Lock }},
  {  26, ShiftMask,	{ XK_Shift_L }},
  {  27, ShiftMask,	{ XK_Shift_R }},
  {  28, ControlMask,	{ XK_Control_L }},
  {  29, 0,		{ XK_Q }},
  {  30, 0,		{ XK_1,	XK_exclam }},
  {  31, 0,		{ XK_F3 }},
  {  33, Mod1Mask,	{ XK_Meta_L }},
  {  34, 0,		{ XK_Z }},
  {  35, 0,		{ XK_S }},
  {  36, 0,		{ XK_A }},
  {  37, 0,		{ XK_W }},
  {  38, 0,		{ XK_2,	XK_at }},
  {  39, 0,		{ XK_F4 }},
  {  40, 0,		{ XK_Multi_key }},
  {  41, 0,		{ XK_C }},
  {  42, 0,		{ XK_X }},
  {  43, 0,		{ XK_D }},
  {  44, 0,		{ XK_E }},
  {  45, 0,		{ XK_4,	XK_dollar }},
  {  46, 0,		{ XK_3,	XK_numbersign }},
  {  47, 0,		{ XK_F5 }},
  {  48, 0,		{ XK_F14 }},
  {  49, 0,		{ XK_space }},
  {  50, 0,		{ XK_V }},
  {  51, 0,		{ XK_F }},
  {  52, 0,		{ XK_T }},
  {  53, 0,		{ XK_R }},
  {  54, 0,		{ XK_5,	XK_percent }},
  {  55, 0,		{ XK_F6 }},
  {  56, 0,		{ XK_Alt_R }},
  {  57, 0,		{ XK_N }},
  {  58, 0,		{ XK_B }},
  {  59, 0,		{ XK_H }},
  {  60, 0,		{ XK_G }},
  {  61, 0,		{ XK_Y }},
  {  62, 0,		{ XK_6,	XK_asciicircum }},
  {  63, 0,		{ XK_F7 }},
  {  65, Mod1Mask,	{ XK_Meta_R }},
  {  66, 0,		{ XK_M }},
  {  67, 0,		{ XK_J }},
  {  68, 0,		{ XK_U }},
  {  69, 0,		{ XK_7,	XK_ampersand }},
  {  70, 0,		{ XK_8,	XK_asterisk }},
  {  71, 0,		{ XK_F8 }},
  {  73, 0,		{ XK_comma,	XK_less }},
  {  74, 0,		{ XK_K }},
  {  75, 0,		{ XK_I }},
  {  76, 0,		{ XK_O }},
  {  77, 0,		{ XK_0,	XK_parenright }},
  {  78, 0,		{ XK_9,	XK_parenleft }},
  {  79, 0,		{ XK_F9 }},
  {  80, 0,		{ XK_F16 }},
  {  81, 0,		{ XK_period,	XK_greater }},
  {  82, 0,		{ XK_slash,	XK_question }},
  {  83, 0,		{ XK_L }},
  {  84, 0,		{ XK_semicolon,	XK_colon }},
  {  85, 0,		{ XK_P }},
  {  86, 0,		{ XK_minus,	XK_underscore }},
  {  87, 0,		{ XK_F10 }},
  {  89, 0,		{ XK_backslash,	XK_bar }},
  {  90, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  92, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  93, 0,		{ XK_equal,	XK_plus }},
  {  94, 0,		{ XK_F11 }},
  {  95, 0,		{ XK_F21,	XK_Pause }},
  {  96, 0,		{ XK_Alt_L }},
  {  97, 0,		{ XK_Linefeed }},
  {  98, 0,		{ XK_Return }},
  {  99, 0,		{ XK_bracketright,	XK_braceright }},
  { 100, 0,		{ XK_Delete }},
  { 101, 0,		{ XK_F23 }},
  { 102, 0,		{ XK_F12 }},
  { 103, 0,		{ XK_F22 }},
  { 110, 0,		{ XK_grave,	XK_asciitilde }},
  { 111, 0,		{ XK_F24,	XK_KP_Equal }},
  { 112, 0,		{ XK_F18 }},
  { 113, 0,		{ XK_F33,	XK_KP_1 }},
  { 115, 0,		{ XK_Left,	XK_KP_4 }},
  { 116, 0,		{ XK_F27,	XK_KP_7 }},
  { 120, 0,		{ XK_Insert,	XK_KP_0 }},
  { 121, 0,		{ XK_Delete,	XK_KP_Decimal }},
  { 122, 0,		{ XK_Down,	XK_KP_2 }},
  { 123, 0,		{ XK_F31,	XK_KP_5 }},
  { 124, 0,		{ XK_Right,	XK_KP_6 }},
  { 125, 0,		{ XK_Up,	XK_KP_8 }},
  { 126, 0,		{ XK_Num_Lock,	XK_Num_Lock }},
  { 127, 0,		{ XK_F25,	XK_KP_Divide }},
  { 129, 0,		{ XK_KP_Enter,	XK_KP_Enter }},
  { 130, 0,		{ XK_F35,	XK_KP_3 }},
  { 131, 0,		{ XK_BackSpace }},
  { 132, 0,		{ XK_KP_Add,	XK_KP_Add }},
  { 133, 0,		{ XK_F29,	XK_KP_9 }},
  { 134, 0,		{ XK_F26,	XK_KP_Multiply }}
  };
