/* xkeycaps, Copyright (c) 1998, 1999 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the key surfaces of the IBM ThinkPad 770ED keyboard.
 * By Jamie Zawinski <jwz@jwz.org>
 */

static const struct key_strings tp560es_caps [] = {

 /* Row 0 */

 {"Esc","",0}, {"Imp Pt", "PetSis", 0}, {"BiNum", "Despl", 0},
 {"Pausa", "Inter", 0}, {"Insert", 0}, {"Inicio", 0}, {"ReP\341g", 0, 0},

 /* Row 2 */

 {"F1",0}, {"F2",0}, {"F3",0}, {"F4",0},
 {"F5",0}, {"F6",0}, {"F7",0}, {"F8",0},
 {"F9",0}, {"F10",0}, {"F11",0}, {"F12",0},
 {"Supr",0}, {"Fin",0}, {"AvP\341g",0,0}, 

 /* Row 3 */

 {"\252", "\272", "\\"}, {"!", "1", "|"}, {"\"", "2", "@"},
 {"\267", "3", "#"}, {"$", "4", "~"}, {"%", "5", 0}, {"&", "6", "\254"},
 {"/", "7", 0}, {"(", "8", 0}, {")", "9", 0},
 {"=", "0", 0}, {"?", "'", 0}, {"\277", "\241", 0}, {"Backspace", 0},

 /* Row 4 */
 {"Tab",0},{"Q", 0}, {"W", 0}, {"E", 0}, {"R", 0}, {"T", 0}, {"Y", 0},
 {"U", 0}, {"I", 0}, {"O", 0}, {"P", 0}, {"^", "`", "["}, {"*", "+", "]"},
 {"Enter", 0},

 /* Row 5 */

 {"Bloq May\372s", 0}, {"A", 0}, {"S", 0}, {"D", 0}, {"F", 0}, {"G", 0},
 {"H", 0}, {"J", 0}, {"K", 0}, {"L", 0}, {"\321", 0}, {"\250", "'", "{"},
 {0, "\307", "}"},

 /* Row 6 */

 {"Shift", 0},  {">", "<", 0}, {"Z", 0}, {"X", 0}, {"C", 0}, {"V", 0},
 {"B", 0}, {"N", 0}, {"M", 0}, {";", ",", 0}, {":", ".", 0}, {"_", "-", 0},
 {"Shift", 0},

 /* Row 7 */

 {"Fn", 0}, {"Ctrl", 0}, {"Alt", 0},
 {  " ", 0},
 {"AltGr", 0}, {"Ctrl", 0}, {"UpArrow", 0},

 /* Row 8 */

 {"LeftArrow", 0}, {"DownArrow", 0}, {"RightArrow", 0}
};
