/* xkeycaps, Copyright (c) 1991, 1992, 1993 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default keymap of the Atari TT (USA) keyboard.
 * By Mats Wichmann <mats@alruna.com>.
 */

static const struct default_keycode_map tt_map [] = {
  {   9, 0,		{ XK_Escape,	XK_Escape }},
  {  10, 0,		{ XK_1,	XK_exclam }},
  {  11, 0,		{ XK_2,	XK_at }},
  {  12, 0,		{ XK_3,	XK_numbersign }},
  {  13, 0,		{ XK_4,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_asciicircum }},
  {  16, 0,		{ XK_7,	XK_ampersand }},
  {  17, 0,		{ XK_8,	XK_asterisk }},
  {  18, 0,		{ XK_9,	XK_parenleft }},
  {  19, 0,		{ XK_0,	XK_parenright }},
  {  20, 0,		{ XK_minus,	XK_underscore }},
  {  21, 0,		{ XK_equal,	XK_plus }},
  {  22, 0,		{ XK_BackSpace,	XK_BackSpace }},
  {  23, 0,		{ XK_Tab,	XK_Tab }},
  {  24, 0,		{ XK_q,	XK_Q }},
  {  25, 0,		{ XK_w,	XK_W }},
  {  26, 0,		{ XK_e,	XK_E }},
  {  27, 0,		{ XK_r,	XK_R }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_y,	XK_Y }},
  {  30, 0,		{ XK_u,	XK_U }},
  {  31, 0,		{ XK_i,	XK_I }},
  {  32, 0,		{ XK_o,	XK_O }},
  {  33, 0,		{ XK_p,	XK_P }},
  {  34, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  35, 0,		{ XK_bracketright,	XK_braceright }},
  {  36, 0,		{ XK_Return,	XK_Return }},
  {  37, ControlMask,	{ XK_Control_L,	XK_Control_L }},
  {  38, 0,		{ XK_a,	XK_A }},
  {  39, 0,		{ XK_s,	XK_S }},
  {  40, 0,		{ XK_d,	XK_D }},
  {  41, 0,		{ XK_f,	XK_F }},
  {  42, 0,		{ XK_g,	XK_G }},
  {  43, 0,		{ XK_h,	XK_H }},
  {  44, 0,		{ XK_j,	XK_J }},
  {  45, 0,		{ XK_k,	XK_K }},
  {  46, 0,		{ XK_l,	XK_L }},
  {  47, 0,		{ XK_semicolon,	XK_colon }},
  {  48, 0,		{ XK_apostrophe,	XK_quotedbl }},
  {  49, 0,		{ XK_grave,	XK_asciitilde }},
  {  50, ShiftMask,	{ XK_Shift_L,	XK_Shift_L }},
  {  51, 0,		{ XK_backslash,	XK_bar }},
  {  52, 0,		{ XK_z,	XK_Z }},
  {  53, 0,		{ XK_x,	XK_X }},
  {  54, 0,		{ XK_c,	XK_C }},
  {  55, 0,		{ XK_v,	XK_V }},
  {  56, 0,		{ XK_b,	XK_B }},
  {  57, 0,		{ XK_n,	XK_N }},
  {  58, 0,		{ XK_m,	XK_M }},
  {  59, 0,		{ XK_comma,	XK_less }},
  {  60, 0,		{ XK_period,	XK_greater }},
  {  61, 0,		{ XK_slash,	XK_question }},
  {  62, ShiftMask,	{ XK_Shift_R,	XK_Shift_R }},
  {  64, Mod1Mask,	{ XK_Mode_switch,	XK_Meta_L }},
  {  65, 0,		{ XK_space,	XK_space }},
  {  66, LockMask,	{ XK_Caps_Lock,	XK_Caps_Lock }},
  {  67, 0,		{ XK_F1,	XK_F1 }},
  {  68, 0,		{ XK_F2,	XK_F2 }},
  {  69, 0,		{ XK_F3,	XK_F3 }},
  {  70, 0,		{ XK_F4,	XK_F4 }},
  {  71, 0,		{ XK_F5,	XK_F5 }},
  {  72, 0,		{ XK_F6,	XK_F6 }},
  {  73, 0,		{ XK_F7,	XK_F7 }},
  {  74, 0,		{ XK_F8,	XK_F8 }},
  {  75, 0,		{ XK_F9,	XK_F9 }},
  {  76, 0,		{ XK_F10,	XK_F10 }},
  {  79, 0,		{ XK_Home,	XK_Clear }},
  {  80, 0,		{ XK_Up,	XK_Up }},
  {  82, 0,		{ XK_KP_Subtract,	XK_KP_Subtract }},
  {  83, 0,		{ XK_Left,	XK_Left }},
  {  85, 0,		{ XK_Right,	XK_Right }},
  {  86, 0,		{ XK_KP_Add,	XK_KP_Add }},
  {  88, 0,		{ XK_Down,	XK_Down }},
  {  90, 0,		{ XK_Insert,	XK_Insert }},
  {  91, 0,		{ XK_Delete,	XK_Delete }},
  { 105, 0,		{ XK_Undo,	XK_Undo }},
  { 106, 0,		{ XK_Help,	XK_Help }},
  { 107, 0,		{ XK_parenleft,	XK_parenleft }},
  { 108, 0,		{ XK_parenright,	XK_parenright }},
  { 109, 0,		{ XK_KP_Divide,	XK_KP_Divide }},
  { 110, 0,		{ XK_KP_Multiply,	XK_KP_Multiply }},
  { 111, 0,		{ XK_KP_7,	XK_KP_7 }},
  { 112, 0,		{ XK_KP_8,	XK_KP_8 }},
  { 113, 0,		{ XK_KP_9,	XK_KP_9 }},
  { 114, 0,		{ XK_KP_4,	XK_KP_4 }},
  { 115, 0,		{ XK_KP_5,	XK_KP_5 }},
  { 116, 0,		{ XK_KP_6,	XK_KP_6 }},
  { 117, 0,		{ XK_KP_1,	XK_KP_1 }},
  { 118, 0,		{ XK_KP_2,	XK_KP_2 }},
  { 119, 0,		{ XK_KP_3,	XK_KP_3 }},
  { 120, 0,		{ XK_KP_0,	XK_KP_0 }},
  { 121, 0,		{ XK_KP_Decimal,	XK_KP_Decimal }},
  { 122, 0,		{ XK_KP_Enter,	XK_KP_Enter }}
  };
