/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996
 * Jamie Zawinski <jwz@jwz.org>
 * This file describes the keymap of a "KeyTronic" 102 key PC-style
 * keyboard, Norwegian layout, on UnixWare 2 (with the X11R5 server) after
 * loading the Norwegian xmodmap.
 * Generated by Endre Witzo <endrew@sn.no>.
 */

static const struct default_keycode_map uw102no_map [] = {
  {   9, 0,		{ XK_Escape }},
  {  10, 0,		{ XK_1,	XK_exclam }},
  {  11, 0,		{ XK_2,	XK_quotedbl,
			0,	XK_at }},
  {  12, 0,		{ XK_3,	XK_numbersign,
			0,	XK_sterling }},
  {  13, 0,		{ XK_4,	XK_currency,
			0,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_ampersand }},
  {  16, 0,		{ XK_7,	XK_slash,
			0,	XK_braceleft }},
  {  17, 0,		{ XK_8,	XK_parenleft,
			0,	XK_bracketleft }},
  {  18, 0,		{ XK_9,	XK_parenright,
			0,	XK_bracketright }},
  {  19, 0,		{ XK_0,	XK_equal,
			0,	XK_braceright }},
  {  20, 0,		{ XK_plus,	XK_question }},
  {  21, 0,		{ XK_backslash,	XK_usldead_grave,
			0,	XK_usldead_acute }},
  {  22, 0,		{ XK_BackSpace }},
  {  23, 0,		{ XK_Tab }},
  {  24, 0,		{ XK_q,	XK_Q }},
  {  25, 0,		{ XK_w,	XK_W }},
  {  26, 0,		{ XK_e,	XK_E }},
  {  27, 0,		{ XK_r,	XK_R }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_y,	XK_Y }},
  {  30, 0,		{ XK_u,	XK_U }},
  {  31, 0,		{ XK_i,	XK_I }},
  {  32, 0,		{ XK_o,	XK_O }},
  {  33, 0,		{ XK_p,	XK_P }},
  {  34, 0,		{ XK_aring,	XK_Aring }},
  {  35, 0,		{ XK_usldead_diaeresis,	XK_usldead_asciicircum,
			0,	XK_usldead_asciitilde }},
  {  36, 0,		{ XK_Return }},
  {  37, ControlMask,	{ XK_Control_L }},
  {  38, 0,		{ XK_a,	XK_A }},
  {  39, 0,		{ XK_s,	XK_S }},
  {  40, 0,		{ XK_d,	XK_D }},
  {  41, 0,		{ XK_f,	XK_F }},
  {  42, 0,		{ XK_g,	XK_G }},
  {  43, 0,		{ XK_h,	XK_H }},
  {  44, 0,		{ XK_j,	XK_J }},
  {  45, 0,		{ XK_k,	XK_K }},
  {  46, 0,		{ XK_l,	XK_L }},
  {  47, 0,		{ XK_oslash,	XK_Ooblique }},
  {  48, 0,		{ XK_ae,	XK_AE }},
  {  49, 0,		{ XK_bar,	XK_section,
			0,	XK_brokenbar }},
  {  50, ShiftMask,	{ XK_Shift_L }},
  {  51, 0,		{ XK_apostrophe,	XK_asterisk }},
  {  52, 0,		{ XK_z,	XK_Z }},
  {  53, 0,		{ XK_x,	XK_X }},
  {  54, 0,		{ XK_c,	XK_C }},
  {  55, 0,		{ XK_v,	XK_V }},
  {  56, 0,		{ XK_b,	XK_B }},
  {  57, 0,		{ XK_n,	XK_N }},
  {  58, 0,		{ XK_m,	XK_M }},
  {  59, 0,		{ XK_comma,	XK_semicolon }},
  {  60, 0,		{ XK_period,	XK_colon }},
  {  61, 0,		{ XK_minus,	XK_underscore }},
  {  62, ShiftMask,	{ XK_Shift_L }},
  {  63, 0,		{ XK_KP_Multiply }},
  {  64, Mod1Mask,	{ XK_Alt_L }},
  {  65, 0,		{ XK_space,	XK_space }},
  {  66, LockMask,	{ XK_Caps_Lock }},
  {  67, 0,		{ XK_F1,	XK_F13 }},
  {  68, 0,		{ XK_F2,	XK_F14 }},
  {  69, 0,		{ XK_F3,	XK_F15 }},
  {  70, 0,		{ XK_F4,	XK_F16 }},
  {  71, 0,		{ XK_F5,	XK_F17 }},
  {  72, 0,		{ XK_F6,	XK_F18 }},
  {  73, 0,		{ XK_F7,	XK_F19 }},
  {  74, 0,		{ XK_F8,	XK_F20 }},
  {  75, 0,		{ XK_F9,	XK_F21 }},
  {  76, 0,		{ XK_F10,	XK_F22 }},
  {  77, Mod2Mask,	{ XK_Num_Lock }},
  {  78, 0,		{ XK_Scroll_Lock }},
  {  79, 0,		{ XK_Home,	XK_KP_7,
			XK_KP_7,	XK_Home }},
  {  80, 0,		{ XK_Up,	XK_KP_8,
			XK_KP_8,	XK_Up }},
  {  81, 0,		{ XK_Prior,	XK_KP_9,
			XK_KP_9,	XK_Prior }},
  {  82, 0,		{ XK_KP_Subtract }},
  {  83, 0,		{ XK_Left,	XK_KP_4,
			XK_KP_4,	XK_Left }},
  {  84, 0,		{ XK_Begin,	XK_KP_5,
			XK_KP_5,	XK_Begin }},
  {  85, 0,		{ XK_Right,	XK_KP_6,
			XK_KP_6,	XK_Right }},
  {  86, 0,		{ XK_KP_Add }},
  {  87, 0,		{ XK_End,	XK_KP_1,
			XK_KP_1,	XK_End }},
  {  88, 0,		{ XK_Down,	XK_KP_2,
			XK_KP_2,	XK_Down }},
  {  89, 0,		{ XK_Next,	XK_KP_3,
			XK_KP_3,	XK_Next }},
  {  90, 0,		{ XK_Insert,	XK_KP_0,
			XK_KP_0,	XK_Insert }},
  {  91, 0,		{ XK_Delete,	XK_KP_Decimal,
			XK_KP_Decimal,	XK_Delete }},
  {  92, 0,		{ XK_Print }},
  {  93, 0,		{ XK_Down }},
  {  94, 0,		{ XK_less,	XK_greater }},
  {  95, 0,		{ XK_F11,	XK_F23 }},
  {  96, 0,		{ XK_F12,	XK_F24 }},
  { 118, 0,		{ XK_Left }},
  { 119, 0,		{ XK_Prior }},
  { 120, Mod3Mask,	{ XK_Mode_switch }},
  { 122, Mod3Mask,	{ XK_Alt_R }},
  { 123, ControlMask,	{ XK_Control_L }},
  { 124, 0,		{ XK_KP_Enter }},
  { 125, 0,		{ XK_KP_Divide }},
  { 127, 0,		{ XK_Pause }},
  { 128, 0,		{ XK_Up }},
  { 129, 0,		{ XK_Delete }},
  { 130, 0,		{ XK_End }},
  { 131, 0,		{ XK_Insert }},
  { 133, 0,		{ XK_Right }},
  { 134, 0,		{ XK_Next }},
  { 135, 0,		{ XK_Home }}
  };
