/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1996
 * Jamie Zawinski <jwz@jwz.org>
 * 
 * This file describes the default ES keymap used by the XFree86 3.1.2 server.
 * Created by Eduardo Perez <eduperez@redestb.es> from linux102es-map
 *
 */

static const struct default_keycode_map xfree86es_map [] = {
  {   9, 0,		{ XK_Escape }},
  {  10, 0,		{ XK_1,	XK_exclam,
			  XK_bar }},
  {  11, 0,		{ XK_2,	XK_quotedbl,
			  XK_at }},
  {  12, 0,		{ XK_3,	XK_periodcentered,
			  XK_numbersign }},
  {  13, 0,		{ XK_4,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_ampersand,
			  XK_notsign }},
  {  16, 0,		{ XK_7,	XK_slash }},
  {  17, 0,		{ XK_8,	XK_parenleft }},
  {  18, 0,		{ XK_9,	XK_parenright }},
  {  19, 0,		{ XK_0,	XK_equal }},
  {  20, 0,		{ XK_apostrophe,	XK_question }},
  {  21, 0,		{ XK_exclamdown,	XK_questiondown,
			  XK_asciitilde }},
  {  22, 0,		{ XK_BackSpace }},
  {  23, 0,		{ XK_Tab }},
  {  24, 0,		{ XK_q,	XK_Q }},
  {  25, 0,		{ XK_w,	XK_W }},
  {  26, 0,		{ XK_e,	XK_E }},
  {  27, 0,		{ XK_r,	XK_R }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_y,	XK_Y }},
  {  30, 0,		{ XK_u,	XK_U }},
  {  31, 0,		{ XK_i,	XK_I }},
  {  32, 0,		{ XK_o,	XK_O }},
  {  33, 0,		{ XK_p,	XK_P }},
  {  34, 0,		{ XK_grave,	XK_asciicircum,
			  XK_bracketleft }},
  {  35, 0,		{ XK_plus,	XK_asterisk,
			  XK_bracketright }},
  {  36, 0,		{ XK_Return }},
  {  37, ControlMask,	{ XK_Control_L }},
  {  38, 0,		{ XK_a,	XK_A }},
  {  39, 0,		{ XK_s,	XK_S }},
  {  40, 0,		{ XK_d,	XK_D }},
  {  41, 0,		{ XK_f,	XK_F }},
  {  42, 0,		{ XK_g,	XK_G }},
  {  43, 0,		{ XK_h,	XK_H }},
  {  44, 0,		{ XK_j,	XK_J }},
  {  45, 0,		{ XK_k,	XK_K }},
  {  46, 0,		{ XK_l,	XK_L }},
  {  47, 0,		{ XK_ntilde,	XK_Ntilde }},
  {  48, 0,		{ XK_acute,	XK_diaeresis,
			  XK_braceleft }},
  {  49, 0,		{ XK_masculine,	XK_ordfeminine,
			  XK_backslash }},
  {  50, ShiftMask,	{ XK_Shift_L }},
  {  51, 0,		{ XK_ccedilla,	XK_Ccedilla,
			  XK_braceright }},
  {  52, 0,		{ XK_z,	XK_Z }},
  {  53, 0,		{ XK_x,	XK_X }},
  {  54, 0,		{ XK_c,	XK_C }},
  {  55, 0,		{ XK_v,	XK_V }},
  {  56, 0,		{ XK_b,	XK_B }},
  {  57, 0,		{ XK_n,	XK_N }},
  {  58, 0,		{ XK_m,	XK_M }},
  {  59, 0,		{ XK_comma,	XK_semicolon }},
  {  60, 0,		{ XK_period,	XK_colon }},
  {  61, 0,		{ XK_minus,	XK_underscore }},
  {  62, ShiftMask,	{ XK_Shift_R }},
  {  63, 0,		{ XK_KP_Multiply }},
  {  64, Mod1Mask,	{ XK_Alt_L,	XK_Meta_L }},
  {  65, 0,		{ XK_space }},
  {  66, LockMask,	{ XK_Caps_Lock }},
  {  67, 0,		{ XK_F1 }},
  {  68, 0,		{ XK_F2 }},
  {  69, 0,		{ XK_F3 }},
  {  70, 0,		{ XK_F4 }},
  {  71, 0,		{ XK_F5 }},
  {  72, 0,		{ XK_F6 }},
  {  73, 0,		{ XK_F7 }},
  {  74, 0,		{ XK_F8 }},
  {  75, 0,		{ XK_F9 }},
  {  76, 0,		{ XK_F10 }},
  {  77, Mod2Mask,	{ XK_Num_Lock }},
  {  78, 0,		{ XK_Multi_key }},
  {  79, 0,		{ XK_KP_7 }},
  {  80, 0,		{ XK_KP_8 }},
  {  81, 0,		{ XK_KP_9 }},
  {  82, 0,		{ XK_KP_Subtract }},
  {  83, 0,		{ XK_KP_4 }},
  {  84, 0,		{ XK_KP_5 }},
  {  85, 0,		{ XK_KP_6 }},
  {  86, 0,		{ XK_KP_Add }},
  {  87, 0,		{ XK_KP_1 }},
  {  88, 0,		{ XK_KP_2 }},
  {  89, 0,		{ XK_KP_3 }},
  {  90, 0,		{ XK_KP_0 }},
  {  91, 0,		{ XK_KP_Decimal }},
  {  92, 0,		{ XK_a }},
  {  94, 0,		{ XK_less,	XK_greater }},
  {  95, 0,		{ XK_m }},
  {  96, 0,		{ XK_F12 }},
  {  97, 0,		{ XK_Home }},
  {  98, 0,		{ XK_Up }},
  {  99, 0,		{ XK_Prior }},
  { 100, 0,		{ XK_Left }},
  { 101, 0,		{ XK_Begin }},
  { 102, 0,		{ XK_Right }},
  { 103, 0,		{ XK_End }},
  { 104, 0,		{ XK_Down }},
  { 105, 0,		{ XK_Next }},
  { 106, 0,		{ XK_Insert }},
  { 107, 0,		{ XK_Delete }},
  { 108, 0,		{ XK_KP_Enter }},
  { 109, ControlMask,	{ XK_Control_R }},
  { 110, 0,		{ XK_Pause }},
  { 111, 0,		{ XK_Print }},
  { 112, 0,		{ XK_KP_Divide }},
  { 113, Mod5Mask,	{ XK_Mode_switch }},
  { 114, 0,		{ XK_Break }},
  { 115, 0,		{ 0 }},
  { 116, 0,		{ 0 }},
  { 117, 0,		{ 0 }}
  };
