/* xkeycaps, Copyright (c) 1991, 1992, 1993, 1995, 1996
 * Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the default UK keymap used by the XFree86 X server.
 * By Ben Harris <bjh21@cam.ac.uk>
 */

static const struct default_keycode_map xfree86uk_map [] = {
  {   9, 0,		{ XK_Escape }},
  {  10, 0,		{ XK_1,	XK_exclam }},
  {  11, 0,		{ XK_2,	XK_quotedbl }},
  {  12, 0,		{ XK_3,	XK_sterling }},
  {  13, 0,		{ XK_4,	XK_dollar }},
  {  14, 0,		{ XK_5,	XK_percent }},
  {  15, 0,		{ XK_6,	XK_asciicircum }},
  {  16, 0,		{ XK_7,	XK_ampersand }},
  {  17, 0,		{ XK_8,	XK_asterisk }},
  {  18, 0,		{ XK_9,	XK_parenleft }},
  {  19, 0,		{ XK_0,	XK_parenright }},
  {  20, 0,		{ XK_minus,	XK_underscore }},
  {  21, 0,		{ XK_equal,	XK_plus }},
  {  22, 0,		{ XK_Delete }},
  {  23, 0,		{ XK_Tab }},
  {  24, 0,		{ XK_q,	XK_Q }},
  {  25, 0,		{ XK_w,	XK_W }},
  {  26, 0,		{ XK_e,	XK_E }},
  {  27, 0,		{ XK_r,	XK_R }},
  {  28, 0,		{ XK_t,	XK_T }},
  {  29, 0,		{ XK_y,	XK_Y }},
  {  30, 0,		{ XK_u,	XK_U }},
  {  31, 0,		{ XK_i,	XK_I }},
  {  32, 0,		{ XK_o,	XK_O }},
  {  33, 0,		{ XK_p,	XK_P }},
  {  34, 0,		{ XK_bracketleft,	XK_braceleft }},
  {  35, 0,		{ XK_bracketright,	XK_braceright }},
  {  36, 0,		{ XK_Return }},
  {  37, ControlMask,	{ XK_Control_L }},
  {  38, 0,		{ XK_a,	XK_A }},
  {  39, 0,		{ XK_s,	XK_S }},
  {  40, 0,		{ XK_d,	XK_D }},
  {  41, 0,		{ XK_f,	XK_F }},
  {  42, 0,		{ XK_g,	XK_G }},
  {  43, 0,		{ XK_h,	XK_H }},
  {  44, 0,		{ XK_j,	XK_J }},
  {  45, 0,		{ XK_k,	XK_K }},
  {  46, 0,		{ XK_l,	XK_L }},
  {  47, 0,		{ XK_semicolon,	XK_colon }},
  {  48, 0,		{ XK_apostrophe,	XK_at }},
  {  49, 0,		{ XK_grave,	XK_asciitilde }},
  {  50, ShiftMask,	{ XK_Shift_L }},
  {  51, 0,		{ XK_numbersign,	XK_asciitilde }},
  {  52, 0,		{ XK_z,	XK_Z }},
  {  53, 0,		{ XK_x,	XK_X }},
  {  54, 0,		{ XK_c,	XK_C }},
  {  55, 0,		{ XK_v,	XK_V }},
  {  56, 0,		{ XK_b,	XK_B }},
  {  57, 0,		{ XK_n,	XK_N }},
  {  58, 0,		{ XK_m,	XK_M }},
  {  59, 0,		{ XK_comma,	XK_less }},
  {  60, 0,		{ XK_period,	XK_greater }},
  {  61, 0,		{ XK_slash,	XK_question }},
  {  62, ShiftMask,	{ XK_Shift_R }},
  {  63, 0,		{ XK_KP_Multiply }},
  {  64, Mod1Mask,	{ XK_Alt_L,	XK_Meta_L }},
  {  65, 0,		{ XK_space }},
  {  66, LockMask,	{ XK_Caps_Lock }},
  {  67, 0,		{ XK_F1,	XK_F11 }},
  {  68, 0,		{ XK_F2,	XK_F12 }},
  {  69, 0,		{ XK_F3,	XK_F13 }},
  {  70, 0,		{ XK_F4,	XK_F14 }},
  {  71, 0,		{ XK_F5,	XK_F15 }},
  {  72, 0,		{ XK_F6,	XK_F16 }},
  {  73, 0,		{ XK_F7,	XK_F17 }},
  {  74, 0,		{ XK_F8,	XK_F18 }},
  {  75, 0,		{ XK_F9,	XK_F19 }},
  {  76, 0,		{ XK_F10,	XK_F20 }},
  {  77, 0,		{ XK_Num_Lock }},
  {  78, 0,		{ XK_Multi_key }},
  {  79, 0,		{ XK_KP_7 }},
  {  80, 0,		{ XK_KP_8 }},
  {  81, 0,		{ XK_KP_9 }},
  {  82, 0,		{ XK_KP_Subtract }},
  {  83, 0,		{ XK_KP_4 }},
  {  84, 0,		{ XK_KP_5 }},
  {  85, 0,		{ XK_KP_6 }},
  {  86, 0,		{ XK_KP_Add }},
  {  87, 0,		{ XK_KP_1 }},
  {  88, 0,		{ XK_KP_2 }},
  {  89, 0,		{ XK_KP_3 }},
  {  90, 0,		{ XK_KP_0 }},
  {  91, 0,		{ XK_KP_Decimal }},
  {  94, 0,		{ XK_backslash,	XK_bar }},
  {  95, 0,		{ XK_F11 }},
  {  96, 0,		{ XK_F12 }},
  {  97, 0,		{ XK_Home }},
  {  98, 0,		{ XK_Up }},
  {  99, 0,		{ XK_Prior }},
  { 100, 0,		{ XK_Left }},
  { 101, 0,		{ XK_Begin }},
  { 102, 0,		{ XK_Right }},
  { 103, 0,		{ XK_End }},
  { 104, 0,		{ XK_Down }},
  { 105, 0,		{ XK_Next }},
  { 106, 0,		{ XK_Insert }},
  { 107, 0,		{ XK_Delete }},
  { 108, 0,		{ XK_KP_Enter }},
  { 109, ControlMask,	{ XK_Control_R }},
  { 110, 0,		{ XK_Pause }},
  { 111, 0,		{ XK_Print,	XK_Execute }},
  { 112, 0,		{ XK_KP_Divide }},
  { 113, Mod1Mask,	{ XK_Alt_R,	XK_Meta_R }},
  { 114, 0,		{ XK_Break }},
  { 115, Mod4Mask,	{ XK_Meta_L }},
  { 116, Mod4Mask,	{ XK_Meta_R }},
  { 117, 0,		{ XK_Menu }},
  { 136, 0,		{ XK_KP_7 }},
  { 137, 0,		{ XK_KP_8 }},
  { 138, 0,		{ XK_KP_9 }},
  { 139, 0,		{ XK_KP_4 }},
  { 140, 0,		{ XK_KP_5 }},
  { 141, 0,		{ XK_KP_6 }},
  { 142, 0,		{ XK_KP_1 }},
  { 143, 0,		{ XK_KP_2 }},
  { 144, 0,		{ XK_KP_3 }},
  { 145, 0,		{ XK_KP_0 }},
  { 146, 0,		{ XK_KP_Decimal }},
  { 147, 0,		{ XK_Home }},
  { 148, 0,		{ XK_Up }},
  { 149, 0,		{ XK_Prior }},
  { 150, 0,		{ XK_Left }},
  { 152, 0,		{ XK_Right }},
  { 153, 0,		{ XK_End }},
  { 154, 0,		{ XK_Down }},
  { 155, 0,		{ XK_Next }},
  { 156, 0,		{ XK_Insert }},
  { 157, 0,		{ XK_Delete }},
  };
